#!/usr/bin/env python3

# Formats payload to HID Keyboard sequences. Real rough poc for testing basic payloads.

dicts = {
    'us_bin' : {
        # Symbols
        "\x20": "space",
        "\x21": "left-shift 1", # !
        "\x22": "left-shift quote", # "
        "\x23": "left-shift 3", # hashtag nethunter
        "\x24": "left-shift 4", # $
        "\x25": "left-shift 5", # %
        "\x26": "left-shift 7", # &
        "\x27": "quote", # '
        "\x28": "left-shift 9", # (
        "\x29": "left-shift 0", # )
        "\x2a": "left-shift 8", # *
        "\x2b": "left-shift equals", # +
        "\x2c": "comma", # ,
        "\x2d": "minus", # -
        "\x2e": "period", # .
        "\x2f": "slash",
        # Numbers
        "\x30": "0",
        "\x31": "1",
        "\x32": "2",
        "\x33": "3",
        "\x34": "4",
        "\x35": "5",
        "\x36": "6",
        "\x37": "7",
        "\x38": "8",
        "\x39": "9",
        # Symbols
        "\x3a": "left-shift semicolon", # :
        "\x3b": "semicolon",            # ;
        "\x3c": "left-shift comma",     # <
        "\x3d": "equals",               # =
        "\x3e": "left-shift period",    # >
        "\x3f": "left-shift slash",     # ?
        "\x40": "left-shift 2",         # @
        # Uppercase
        "\x41": "left-shift a",
        "\x42": "left-shift b",
        "\x43": "left-shift c",
        "\x44": "left-shift d",
        "\x45": "left-shift e",
        "\x46": "left-shift f",
        "\x47": "left-shift g",
        "\x48": "left-shift h",
        "\x49": "left-shift i",
        "\x4a": "left-shift j",
        "\x4b": "left-shift k",
        "\x4c": "left-shift l",
        "\x4d": "left-shift m",
        "\x4e": "left-shift n",
        "\x4f": "left-shift o",
        "\x50": "left-shift p",
        "\x51": "left-shift q",
        "\x52": "left-shift r",
        "\x53": "left-shift s",
        "\x54": "left-shift t",
        "\x55": "left-shift u",
        "\x56": "left-shift v",
        "\x57": "left-shift w",
        "\x58": "left-shift x",
        "\x59": "left-shift y",
        "\x5a": "left-shift z",
        # Symbols
        "\x5b": "lbracket",        # [
        "\x5c": "backslash",       # \
        "\x5d": "rbracket",        # ]
        "\x5e": "left-shift 6",    # ^
        "\x5f": "left-shift dash", # _
        "\x60": "tilde",           # `
        # Lowercase
        "\x61": "a",
        "\x62": "b",
        "\x63": "c",
        "\x64": "d",
        "\x65": "e",
        "\x66": "f",
        "\x67": "g",
        "\x68": "h",
        "\x69": "i",
        "\x6a": "j",
        "\x6b": "k",
        "\x6c": "l",
        "\x6d": "m",
        "\x6e": "n",
        "\x6f": "o",
        "\x70": "p",
        "\x71": "q",
        "\x72": "r",
        "\x73": "s",
        "\x74": "t",
        "\x75": "u",
        "\x76": "v",
        "\x77": "w",
        "\x78": "x",
        "\x79": "y",
        "\x7a": "z",
        #Shift chars
        "\x7b": "left-shift lbracket",  # {
        "\x7c": "left-shift backslash",  # |
        "\x7d": "left-shift rbracket",  # }
        "\x7e": "left-shift tilde",     # ~
        "\x7f": "backspace",
        #SDLK_RETURN,0x28
        #"\x0a": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
        #"\x0d": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00"
    },
    'us' : {
        # Symbols 
        "\x20": "\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00",
        "\x21": "\\x20\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x22": "\\x20\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\x23": "\\x20\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x24": "\\x20\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x25": "\\x20\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x26": "\\x20\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x27": "\\x00\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\x28": "\\x20\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x29": "\\x20\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x2a": "\\x20\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x2b": "\\x20\\x00\\x00\\x2e\\x00\\x00\\x00\\x00",
        "\x2c": "\\x00\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x2d": "\\x00\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x2e": "\\x00\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x2f": "\\x00\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        # Numbers
        "\x30": "\\x00\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x31": "\\x00\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x32": "\\x00\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x33": "\\x00\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x34": "\\x00\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x35": "\\x00\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x36": "\\x00\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x37": "\\x00\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x38": "\\x00\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x39": "\\x00\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        # Symbols
        "\x3a": "\\x20\\x00\\x00\\x33\\x00\\x00\\x00\\x00",
        "\x3b": "\\x00\\x00\\x00\\x33\\x00\\x00\\x00\\x00",
        "\x3c": "\\x20\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x3d": "\\x00\\x00\\x00\\x2e\\x00\\x00\\x00\\x00",
        "\x3e": "\\x20\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x3f": "\\x20\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x40": "\\x20\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        # Uppercase
        "\x41": "\\x20\\x00\\x00\\x04\\x00\\x00\\x00\\x00",
        "\x42": "\\x20\\x00\\x00\\x05\\x00\\x00\\x00\\x00",
        "\x43": "\\x20\\x00\\x00\\x06\\x00\\x00\\x00\\x00",
        "\x44": "\\x20\\x00\\x00\\x07\\x00\\x00\\x00\\x00",
        "\x45": "\\x20\\x00\\x00\\x08\\x00\\x00\\x00\\x00",
        "\x46": "\\x20\\x00\\x00\\x09\\x00\\x00\\x00\\x00",
        "\x47": "\\x20\\x00\\x00\\x0a\\x00\\x00\\x00\\x00",
        "\x48": "\\x20\\x00\\x00\\x0b\\x00\\x00\\x00\\x00",
        "\x49": "\\x20\\x00\\x00\\x0c\\x00\\x00\\x00\\x00",
        "\x4a": "\\x20\\x00\\x00\\x0d\\x00\\x00\\x00\\x00",
        "\x4b": "\\x20\\x00\\x00\\x0e\\x00\\x00\\x00\\x00",
        "\x4c": "\\x20\\x00\\x00\\x0f\\x00\\x00\\x00\\x00",
        "\x4d": "\\x20\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x4e": "\\x20\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x4f": "\\x20\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x50": "\\x20\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x51": "\\x20\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x52": "\\x20\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x53": "\\x20\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x54": "\\x20\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x55": "\\x20\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x56": "\\x20\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x57": "\\x20\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x58": "\\x20\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x59": "\\x20\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x5a": "\\x20\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        # Symbols
        "\x5b": "\\x00\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\x5c": "\\x00\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\x5d": "\\x00\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x5e": "\\x20\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x5f": "\\x00\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x60": "\\x00\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        # Lowercase
        "\x61": "\\x00\\x00\\x00\\x04\\x00\\x00\\x00\\x00", # a
        "\x62": "\\x00\\x00\\x00\\x05\\x00\\x00\\x00\\x00", # b
        "\x63": "\\x00\\x00\\x00\\x06\\x00\\x00\\x00\\x00", # c
        "\x64": "\\x00\\x00\\x00\\x07\\x00\\x00\\x00\\x00", # d
        "\x65": "\\x00\\x00\\x00\\x08\\x00\\x00\\x00\\x00", # e
        "\x66": "\\x00\\x00\\x00\\x09\\x00\\x00\\x00\\x00", # f
        "\x67": "\\x00\\x00\\x00\\x0a\\x00\\x00\\x00\\x00", # g
        "\x68": "\\x00\\x00\\x00\\x0b\\x00\\x00\\x00\\x00", # e
        "\x69": "\\x00\\x00\\x00\\x0c\\x00\\x00\\x00\\x00",
        "\x6a": "\\x00\\x00\\x00\\x0d\\x00\\x00\\x00\\x00",
        "\x6b": "\\x00\\x00\\x00\\x0e\\x00\\x00\\x00\\x00",
        "\x6c": "\\x00\\x00\\x00\\x0f\\x00\\x00\\x00\\x00",
        "\x6d": "\\x00\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x6e": "\\x00\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x6f": "\\x00\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x70": "\\x00\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x71": "\\x00\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x72": "\\x00\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x73": "\\x00\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x74": "\\x00\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x75": "\\x00\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x76": "\\x00\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x77": "\\x00\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x78": "\\x00\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x79": "\\x00\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x7a": "\\x00\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        #Shift chars
        "\x7b": "\\x20\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\x7c": "\\x20\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\x7d": "\\x20\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x7e": "\\x20\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        #SDLK_RETURN,0x28
        #"\x0a": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
        #"\x0d": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00"
    },
    'fr_bin' : {
        # Symbols
        "\x20": "space",
        "\x21": "slash",             # !
        "\x22": "3",                 # "
        "\x23": "right-alt 3",       # hashtag nethunter
        "\x24": "rbracket",          # $
        "\x25": "left-shift quote",  # %
        "\x26": "1",                 # &
        "\x27": "4",                 # '
        "\x28": "5",                 # (
        "\x29": "minus",             # )
        "\x2a": "backslash",         # *
        "\x2b": "left-shift equals", # +
        "\x2c": "m",                 # ,
        "\x2d": "6",                 # -
        "\x2e": "left-shift comma",  # .
        "\x2f": "left-shift period", # /
        # Numbers
        "\x30": "left-shift 0",
        "\x31": "left-shift 1",
        "\x32": "left-shift 2",
        "\x33": "left-shift 3",
        "\x34": "left-shift 4",
        "\x35": "left-shift 5",
        "\x36": "left-shift 6",
        "\x37": "left-shift 7",
        "\x38": "left-shift 8",
        "\x39": "left-shift 9",
        # Symbols
        "\x3a": "period",               # :
        "\x3b": "comma",                # ;
        #"\x3c": "\\x00\\x00\\x00\\x64\\x00\\x00\\x00\\x00", # <
        "\x3d": "equals",               # =
        #"\x3e": "\\x20\\x00\\x00\\x64\\x00\\x00\\x00\\x00", # >
        "\x3f": "left-shift m",         # ?
        "\x40": "right-alt 0",          # @
        # Uppercase
        "\x41": "left-shift q",
        "\x42": "left-shift b",
        "\x43": "left-shift c",
        "\x44": "left-shift d",
        "\x45": "left-shift e",
        "\x46": "left-shift f",
        "\x47": "left-shift g",
        "\x48": "left-shift h",
        "\x49": "left-shift i",
        "\x4a": "left-shift j",
        "\x4b": "left-shift k",
        "\x4c": "left-shift l",
        "\x4d": "left-shift semicolon",
        "\x4e": "left-shift n",
        "\x4f": "left-shift o",
        "\x50": "left-shift p",
        "\x51": "left-shift a",
        "\x52": "left-shift r",
        "\x53": "left-shift s",
        "\x54": "left-shift t",
        "\x55": "left-shift u",
        "\x56": "left-shift v",
        "\x57": "left-shift z",
        "\x58": "left-shift x",
        "\x59": "left-shift y",
        "\x5a": "left-shift w",
        # Symbols
        "\x5b": "right-alt 5",     # [
        "\x5c": "right-alt 8",     # \
        "\x5d": "right-alt minus", # ]
        "\x5e": "right-alt 9",     # ^
        "\x5f": "8",               # _
        "\x60": ["right-alt 7", "space"], # `
        # Lowercase
        "\x61": "q",
        "\x62": "b",
        "\x63": "c",
        "\x64": "d",
        "\x65": "e",
        "\x66": "f",
        "\x67": "g",
        "\x68": "h",
        "\x69": "i",
        "\x6a": "j",
        "\x6b": "k",
        "\x6c": "l",
        "\x6d": "semicolon",
        "\x6e": "n",
        "\x6f": "o",
        "\x70": "p",
        "\x71": "a",
        "\x72": "r",
        "\x73": "s",
        "\x74": "t",
        "\x75": "u",
        "\x76": "v",
        "\x77": "z",
        "\x78": "x",
        "\x79": "y",
        "\x7a": "w",
        #Shift chars
        "\x7b": "right-alt 4",      # {
        "\x7c": "right-alt 6",      # |
        "\x7d": "right-alt equals", # }
        "\x7e": ["right-alt 2", "space"], # ~
        "\x7f": "backspace",
        #SDLK_RETURN,0x28
        #"\x0a": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
        #"\x0d": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00"
    },
    'fr' : {
        "\x20": "\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00",
        "\x21": "\\x00\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x22": "\\x00\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x23": "\\x05\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x24": "\\x00\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x25": "\\x20\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\x26": "\\x00\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x27": "\\x00\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x28": "\\x00\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x29": "\\x00\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x30": "\\x20\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x31": "\\x20\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x32": "\\x20\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x33": "\\x20\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x34": "\\x20\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x35": "\\x20\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x36": "\\x20\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x37": "\\x20\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x38": "\\x20\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x39": "\\x20\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x40": "\\x05\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x41": "\\x20\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x42": "\\x20\\x00\\x00\\x05\\x00\\x00\\x00\\x00",
        "\x43": "\\x20\\x00\\x00\\x06\\x00\\x00\\x00\\x00",
        "\x44": "\\x20\\x00\\x00\\x07\\x00\\x00\\x00\\x00",
        "\x45": "\\x20\\x00\\x00\\x08\\x00\\x00\\x00\\x00",
        "\x46": "\\x20\\x00\\x00\\x09\\x00\\x00\\x00\\x00",
        "\x47": "\\x20\\x00\\x00\\x0a\\x00\\x00\\x00\\x00",
        "\x48": "\\x20\\x00\\x00\\x0b\\x00\\x00\\x00\\x00",
        "\x49": "\\x20\\x00\\x00\\x0c\\x00\\x00\\x00\\x00",
        "\x50": "\\x20\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x51": "\\x20\\x00\\x00\\x04\\x00\\x00\\x00\\x00",
        "\x52": "\\x20\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x53": "\\x20\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x54": "\\x20\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x55": "\\x20\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x56": "\\x20\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x57": "\\x20\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        "\x58": "\\x20\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x59": "\\x20\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x60": "\\x05\\x00\\x00\\x24\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00",  # ` + Space
        "\x61": "\\x00\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x62": "\\x00\\x00\\x00\\x05\\x00\\x00\\x00\\x00",
        "\x63": "\\x00\\x00\\x00\\x06\\x00\\x00\\x00\\x00",
        "\x64": "\\x00\\x00\\x00\\x07\\x00\\x00\\x00\\x00",
        "\x65": "\\x00\\x00\\x00\\x08\\x00\\x00\\x00\\x00",
        "\x66": "\\x00\\x00\\x00\\x09\\x00\\x00\\x00\\x00",
        "\x67": "\\x00\\x00\\x00\\x0a\\x00\\x00\\x00\\x00",
        "\x68": "\\x00\\x00\\x00\\x0b\\x00\\x00\\x00\\x00",
        "\x69": "\\x00\\x00\\x00\\x0c\\x00\\x00\\x00\\x00",
        "\x70": "\\x00\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x71": "\\x00\\x00\\x00\\x04\\x00\\x00\\x00\\x00",
        "\x72": "\\x00\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x73": "\\x00\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x74": "\\x00\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x75": "\\x00\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x76": "\\x00\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x77": "\\x00\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        "\x78": "\\x00\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x79": "\\x00\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x2a": "\\x00\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\x2b": "\\x20\\x00\\x00\\x2e\\x00\\x00\\x00\\x00",
        "\x2c": "\\x00\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x2d": "\\x00\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x2e": "\\x20\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x2f": "\\x20\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x3a": "\\x00\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x3b": "\\x00\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x3c": "\\x00\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x3d": "\\x00\\x00\\x00\\x2e\\x00\\x00\\x00\\x00",
        "\x3e": "\\x20\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x3f": "\\x20\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x4a": "\\x20\\x00\\x00\\x0d\\x00\\x00\\x00\\x00",
        "\x4b": "\\x20\\x00\\x00\\x0e\\x00\\x00\\x00\\x00",
        "\x4c": "\\x20\\x00\\x00\\x0f\\x00\\x00\\x00\\x00",
        "\x4d": "\\x20\\x00\\x00\\x33\\x00\\x00\\x00\\x00",
        "\x4e": "\\x20\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x4f": "\\x20\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x5a": "\\x20\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x5b": "\\x05\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x5c": "\\x05\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x5d": "\\x05\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x5e": "\\x00\\x00\\x00\\x2f\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00",  # ^ + Space
        "\x5f": "\\x00\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x6a": "\\x00\\x00\\x00\\x0d\\x00\\x00\\x00\\x00",
        "\x6b": "\\x00\\x00\\x00\\x0e\\x00\\x00\\x00\\x00",
        "\x6c": "\\x00\\x00\\x00\\x0f\\x00\\x00\\x00\\x00",
        "\x6d": "\\x00\\x00\\x00\\x33\\x00\\x00\\x00\\x00",
        "\x6e": "\\x00\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x6f": "\\x00\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x7a": "\\x00\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x7b": "\\x05\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x7c": "\\x05\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x7d": "\\x05\\x00\\x00\\x2e\\x00\\x00\\x00\\x00",
        "\x7e": "\\x05\\x00\\x00\\x1f\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00",  # ~ + Space
        "\x0a": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
        "\x0d": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00"
    },
    'es_bin' : {
    },
    'es' : {
        "\x20": "\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00",
        "\x21": "\\x20\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x22": "\\x20\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x23": "\\x05\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x24": "\\x20\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x25": "\\x20\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x26": "\\x20\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x27": "\\x00\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x28": "\\x20\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x29": "\\x20\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x30": "\\x00\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x31": "\\x00\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x32": "\\x00\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x33": "\\x00\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x34": "\\x00\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x35": "\\x00\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x36": "\\x00\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x37": "\\x00\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x38": "\\x00\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x39": "\\x00\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x40": "\\x05\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x41": "\\x20\\x00\\x00\\x04\\x00\\x00\\x00\\x00",
        "\x42": "\\x20\\x00\\x00\\x05\\x00\\x00\\x00\\x00",
        "\x43": "\\x20\\x00\\x00\\x06\\x00\\x00\\x00\\x00",
        "\x44": "\\x20\\x00\\x00\\x07\\x00\\x00\\x00\\x00",
        "\x45": "\\x20\\x00\\x00\\x08\\x00\\x00\\x00\\x00",
        "\x46": "\\x20\\x00\\x00\\x09\\x00\\x00\\x00\\x00",
        "\x47": "\\x20\\x00\\x00\\x0a\\x00\\x00\\x00\\x00",
        "\x48": "\\x20\\x00\\x00\\x0b\\x00\\x00\\x00\\x00",
        "\x49": "\\x20\\x00\\x00\\x0c\\x00\\x00\\x00\\x00",
        "\x50": "\\x20\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x51": "\\x20\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x52": "\\x20\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x53": "\\x20\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x54": "\\x20\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x55": "\\x20\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x56": "\\x20\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x57": "\\x20\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x58": "\\x20\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x59": "\\x20\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x60": "\\x00\\x00\\x00\\x2f\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00", ## ` + space
        "\x61": "\\x00\\x00\\x00\\x04\\x00\\x00\\x00\\x00",
        "\x62": "\\x00\\x00\\x00\\x05\\x00\\x00\\x00\\x00",
        "\x63": "\\x00\\x00\\x00\\x06\\x00\\x00\\x00\\x00",
        "\x64": "\\x00\\x00\\x00\\x07\\x00\\x00\\x00\\x00",
        "\x65": "\\x00\\x00\\x00\\x08\\x00\\x00\\x00\\x00",
        "\x66": "\\x00\\x00\\x00\\x09\\x00\\x00\\x00\\x00",
        "\x67": "\\x00\\x00\\x00\\x0a\\x00\\x00\\x00\\x00",
        "\x68": "\\x00\\x00\\x00\\x0b\\x00\\x00\\x00\\x00",
        "\x69": "\\x00\\x00\\x00\\x0c\\x00\\x00\\x00\\x00",
        "\x70": "\\x00\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x71": "\\x00\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x72": "\\x00\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x73": "\\x00\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x74": "\\x00\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x75": "\\x00\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x76": "\\x00\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x77": "\\x00\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x78": "\\x00\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x79": "\\x00\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x2a": "\\x20\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x2b": "\\x00\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x2c": "\\x00\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x2d": "\\x00\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x2e": "\\x00\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x2f": "\\x20\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x3a": "\\x20\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x3b": "\\x20\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x3c": "\\x00\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x3d": "\\x20\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x3e": "\\x20\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x3f": "\\x20\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x4a": "\\x20\\x00\\x00\\x0d\\x00\\x00\\x00\\x00",
        "\x4b": "\\x20\\x00\\x00\\x0e\\x00\\x00\\x00\\x00",
        "\x4c": "\\x20\\x00\\x00\\x0f\\x00\\x00\\x00\\x00",
        "\x4d": "\\x20\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x4e": "\\x20\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x4f": "\\x20\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x5a": "\\x20\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        "\x5b": "\\x05\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\x5c": "\\x05\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        "\x5d": "\\x05\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x5e": "\\x20\\x00\\x00\\x2f\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00", ## ^ + space
        "\x5f": "\\x20\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x6a": "\\x00\\x00\\x00\\x0d\\x00\\x00\\x00\\x00",
        "\x6b": "\\x00\\x00\\x00\\x0e\\x00\\x00\\x00\\x00",
        "\x6c": "\\x00\\x00\\x00\\x0f\\x00\\x00\\x00\\x00",
        "\x6d": "\\x00\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x6e": "\\x00\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x6f": "\\x00\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x7a": "\\x00\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        "\x7b": "\\x05\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\x7c": "\\x05\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x7d": "\\x05\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\x7e": "\\x05\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        #SDLK_RETURN,0x28
        "\x0a": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
        "\x0d": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00"
    },
    'de_bin' : {
        "\x47": "left-shift g",
        "\x67": "g",
    },
    'de' : {
        # Symbols
        "\x20": "\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00",
        "\x21": "\\x20\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x22": "\\x20\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x23": "\\x00\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\x24": "\\x20\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x25": "\\x20\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x26": "\\x20\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x27": "\\x20\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\x28": "\\x20\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x29": "\\x20\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x2a": "\\x20\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x2b": "\\x00\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x2c": "\\x00\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x2d": "\\x00\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x2e": "\\x00\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x2f": "\\x20\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        # Numbers
        "\x30": "\\x00\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x31": "\\x00\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x32": "\\x00\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x33": "\\x00\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x34": "\\x00\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x35": "\\x00\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x36": "\\x00\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x37": "\\x00\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x38": "\\x00\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x39": "\\x00\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        # Symbols
        "\x3a": "\\x20\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x3b": "\\x20\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x3c": "\\x00\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x3d": "\\x20\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x3e": "\\x20\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x3f": "\\x20\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x40": "\\x05\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        # Uppercase
        "\x41": "\\x20\\x00\\x00\\x04\\x00\\x00\\x00\\x00",
        "\x42": "\\x20\\x00\\x00\\x05\\x00\\x00\\x00\\x00",
        "\x43": "\\x20\\x00\\x00\\x06\\x00\\x00\\x00\\x00",
        "\x44": "\\x20\\x00\\x00\\x07\\x00\\x00\\x00\\x00",
        "\x45": "\\x20\\x00\\x00\\x08\\x00\\x00\\x00\\x00",
        "\x46": "\\x20\\x00\\x00\\x09\\x00\\x00\\x00\\x00",
        "\x47": "\\x20\\x00\\x00\\x0a\\x00\\x00\\x00\\x00",
        "\x48": "\\x20\\x00\\x00\\x0b\\x00\\x00\\x00\\x00",
        "\x49": "\\x20\\x00\\x00\\x0c\\x00\\x00\\x00\\x00",
        "\x4a": "\\x20\\x00\\x00\\x0d\\x00\\x00\\x00\\x00",
        "\x4b": "\\x20\\x00\\x00\\x0e\\x00\\x00\\x00\\x00",
        "\x4c": "\\x20\\x00\\x00\\x0f\\x00\\x00\\x00\\x00",
        "\x4d": "\\x20\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x4e": "\\x20\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x4f": "\\x20\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x50": "\\x20\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x51": "\\x20\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x52": "\\x20\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x53": "\\x20\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x54": "\\x20\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x55": "\\x20\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x56": "\\x20\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x57": "\\x20\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x58": "\\x20\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x59": "\\x20\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        "\x5a": "\\x20\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        # Symbols
        "\x5b": "\\x05\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x5c": "\\x40\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x5d": "\\x05\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x5e": "\\x00\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        "\x5f": "\\x20\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x60": "\\x05\\x00\\x00\\x2e\\x00\\x00\\x00\\x00",
        # Lowercase
        "\x61": "\\x00\\x00\\x00\\x04\\x00\\x00\\x00\\x00",
        "\x62": "\\x00\\x00\\x00\\x05\\x00\\x00\\x00\\x00",
        "\x63": "\\x00\\x00\\x00\\x06\\x00\\x00\\x00\\x00",
        "\x64": "\\x00\\x00\\x00\\x07\\x00\\x00\\x00\\x00",
        "\x65": "\\x00\\x00\\x00\\x08\\x00\\x00\\x00\\x00",
        "\x66": "\\x00\\x00\\x00\\x09\\x00\\x00\\x00\\x00",
        "\x67": "\\x00\\x00\\x00\\x0a\\x00\\x00\\x00\\x00",
        "\x68": "\\x00\\x00\\x00\\x0b\\x00\\x00\\x00\\x00",
        "\x69": "\\x00\\x00\\x00\\x0c\\x00\\x00\\x00\\x00",
        "\x6a": "\\x00\\x00\\x00\\x0d\\x00\\x00\\x00\\x00",
        "\x6b": "\\x00\\x00\\x00\\x0e\\x00\\x00\\x00\\x00",
        "\x6c": "\\x00\\x00\\x00\\x0f\\x00\\x00\\x00\\x00",
        "\x6d": "\\x00\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x6e": "\\x00\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x6f": "\\x00\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x70": "\\x00\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x71": "\\x00\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x72": "\\x00\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x73": "\\x00\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x74": "\\x00\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x75": "\\x00\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x76": "\\x00\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x77": "\\x00\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x78": "\\x00\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x79": "\\x00\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        "\x7a": "\\x00\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        #Shift chars
        "\x7b": "\\x05\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x7c": "\\x05\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x7d": "\\x05\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x7e": "\\x05\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        #SDLK_RETURN,0x28
        "\x0a": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
        "\x0d": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
    },
    'sv_bin' : {
    },
    'sv' : {
        "\x20": "\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00",
        "\x21": "\\x02\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x22": "\\x02\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x23": "\\x02\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x24": "\\x40\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x25": "\\x02\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x26": "\\x02\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x27": "\\x00\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\x28": "\\x02\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x29": "\\x02\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x2A": "\\x02\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\x2B": "\\x00\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x2C": "\\x00\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x2D": "\\x00\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x2E": "\\x00\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x2F": "\\x02\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x30": "\\x00\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x31": "\\x00\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x32": "\\x00\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x33": "\\x00\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x34": "\\x00\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x35": "\\x00\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x36": "\\x00\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x37": "\\x00\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x38": "\\x00\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x39": "\\x00\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x3A": "\\x02\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x3B": "\\x02\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x3C": "\\x00\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x3D": "\\x02\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x3E": "\\x02\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x3F": "\\x02\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x40": "\\x40\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x41": "\\x02\\x00\\x00\\x4\\x00\\x00\\x00\\x00",
        "\x42": "\\x02\\x00\\x00\\x5\\x00\\x00\\x00\\x00",
        "\x43": "\\x02\\x00\\x00\\x6\\x00\\x00\\x00\\x00",
        "\x44": "\\x02\\x00\\x00\\x7\\x00\\x00\\x00\\x00",
        "\x45": "\\x02\\x00\\x00\\x8\\x00\\x00\\x00\\x00",
        "\x46": "\\x02\\x00\\x00\\x9\\x00\\x00\\x00\\x00",
        "\x47": "\\x02\\x00\\x00\\xa\\x00\\x00\\x00\\x00",
        "\x48": "\\x02\\x00\\x00\\xb\\x00\\x00\\x00\\x00",
        "\x49": "\\x02\\x00\\x00\\xc\\x00\\x00\\x00\\x00",
        "\x4A": "\\x02\\x00\\x00\\xd\\x00\\x00\\x00\\x00",
        "\x4B": "\\x02\\x00\\x00\\xe\\x00\\x00\\x00\\x00",
        "\x4C": "\\x02\\x00\\x00\\xf\\x00\\x00\\x00\\x00",
        "\x4D": "\\x02\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x4E": "\\x02\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x4F": "\\x02\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x50": "\\x02\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x51": "\\x02\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x52": "\\x02\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x53": "\\x02\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x54": "\\x02\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x55": "\\x02\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x56": "\\x02\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x57": "\\x02\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x58": "\\x02\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x59": "\\x02\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x5A": "\\x02\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        "\x5B": "\\x40\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x5C": "\\x40\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x5D": "\\x40\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x5F": "\\x02\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x61": "\\x00\\x00\\x00\\x4\\x00\\x00\\x00\\x00",
        "\x62": "\\x00\\x00\\x00\\x5\\x00\\x00\\x00\\x00",
        "\x63": "\\x00\\x00\\x00\\x6\\x00\\x00\\x00\\x00",
        "\x64": "\\x00\\x00\\x00\\x7\\x00\\x00\\x00\\x00",
        "\x65": "\\x00\\x00\\x00\\x8\\x00\\x00\\x00\\x00",
        "\x66": "\\x00\\x00\\x00\\x9\\x00\\x00\\x00\\x00",
        "\x67": "\\x00\\x00\\x00\\xa\\x00\\x00\\x00\\x00",
        "\x68": "\\x00\\x00\\x00\\xb\\x00\\x00\\x00\\x00",
        "\x69": "\\x00\\x00\\x00\\xc\\x00\\x00\\x00\\x00",
        "\x6A": "\\x00\\x00\\x00\\xd\\x00\\x00\\x00\\x00",
        "\x6B": "\\x00\\x00\\x00\\xe\\x00\\x00\\x00\\x00",
        "\x6C": "\\x00\\x00\\x00\\xf\\x00\\x00\\x00\\x00",
        "\x6D": "\\x00\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x6E": "\\x00\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x6F": "\\x00\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x70": "\\x00\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x71": "\\x00\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x72": "\\x00\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x73": "\\x00\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x74": "\\x00\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x75": "\\x00\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x76": "\\x00\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x77": "\\x00\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x78": "\\x00\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x79": "\\x00\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x7A": "\\x00\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        "\x7B": "\\x40\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x7C": "\\x40\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x7D": "\\x40\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x7F": "\\x00\\x00\\x00\\x2a\\x00\\x00\\x00\\x00",
        "\xA0": "\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00",
        "\xA3": "\\x40\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\xA4": "\\x02\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\xA7": "\\x00\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        "\xAB": "\\x00\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\xAC": "\\x40\\x00\\x00\\x8\\x00\\x00\\x00\\x00",
        "\xB5": "\\x40\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\xBD": "\\x02\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        "\xC4": "\\x02\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\xC5": "\\x02\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\xD6": "\\x02\\x00\\x00\\x33\\x00\\x00\\x00\\x00",
        "\xDF": "\\x40\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\xE4": "\\x00\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\xE5": "\\x00\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\xF0": "\\x40\\x00\\x00\\x7\\x00\\x00\\x00\\x00",
        "\xF6": "\\x00\\x00\\x00\\x33\\x00\\x00\\x00\\x00",
        "\xFE": "\\x40\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x0a": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
        "\x0d": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
    },
    'it_bin' : {
    },
    'it' : {
        "\x20": "\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00",
        "\x21": "\\x02\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x22": "\\x02\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x23": "\\x40\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\x24": "\\x02\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x25": "\\x02\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x26": "\\x02\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x27": "\\x00\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x28": "\\x02\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x29": "\\x02\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x2A": "\\x02\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x2B": "\\x00\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x2C": "\\x00\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x2D": "\\x00\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x2E": "\\x00\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x2F": "\\x02\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x30": "\\x00\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x31": "\\x00\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x32": "\\x00\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x33": "\\x00\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x34": "\\x00\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x35": "\\x00\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x36": "\\x00\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x37": "\\x00\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x38": "\\x00\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x39": "\\x00\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x3A": "\\x02\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x3B": "\\x02\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x3C": "\\x00\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x3D": "\\x02\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x3E": "\\x02\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x3F": "\\x02\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x40": "\\x40\\x00\\x00\\x33\\x00\\x00\\x00\\x00",
        "\x41": "\\x02\\x00\\x00\\x4\\x00\\x00\\x00\\x00",
        "\x42": "\\x02\\x00\\x00\\x5\\x00\\x00\\x00\\x00",
        "\x43": "\\x02\\x00\\x00\\x6\\x00\\x00\\x00\\x00",
        "\x44": "\\x02\\x00\\x00\\x7\\x00\\x00\\x00\\x00",
        "\x45": "\\x02\\x00\\x00\\x8\\x00\\x00\\x00\\x00",
        "\x46": "\\x02\\x00\\x00\\x9\\x00\\x00\\x00\\x00",
        "\x47": "\\x02\\x00\\x00\\xa\\x00\\x00\\x00\\x00",
        "\x48": "\\x02\\x00\\x00\\xb\\x00\\x00\\x00\\x00",
        "\x49": "\\x02\\x00\\x00\\xc\\x00\\x00\\x00\\x00",
        "\x4A": "\\x02\\x00\\x00\\xd\\x00\\x00\\x00\\x00",
        "\x4B": "\\x02\\x00\\x00\\xe\\x00\\x00\\x00\\x00",
        "\x4C": "\\x02\\x00\\x00\\xf\\x00\\x00\\x00\\x00",
        "\x4D": "\\x02\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x4E": "\\x02\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x4F": "\\x02\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x50": "\\x02\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x51": "\\x02\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x52": "\\x02\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x53": "\\x02\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x54": "\\x02\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x55": "\\x02\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x56": "\\x02\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x57": "\\x02\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x58": "\\x02\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x59": "\\x02\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x5A": "\\x02\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        "\x5B": "\\x40\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\x5C": "\\x00\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        "\x5D": "\\x40\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x5E": "\\x02\\x00\\x00\\x2e\\x00\\x00\\x00\\x00",
        "\x5F": "\\x02\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x61": "\\x00\\x00\\x00\\x4\\x00\\x00\\x00\\x00",
        "\x62": "\\x00\\x00\\x00\\x5\\x00\\x00\\x00\\x00",
        "\x63": "\\x00\\x00\\x00\\x6\\x00\\x00\\x00\\x00",
        "\x64": "\\x00\\x00\\x00\\x7\\x00\\x00\\x00\\x00",
        "\x65": "\\x00\\x00\\x00\\x8\\x00\\x00\\x00\\x00",
        "\x66": "\\x00\\x00\\x00\\x9\\x00\\x00\\x00\\x00",
        "\x67": "\\x00\\x00\\x00\\xa\\x00\\x00\\x00\\x00",
        "\x68": "\\x00\\x00\\x00\\xb\\x00\\x00\\x00\\x00",
        "\x69": "\\x00\\x00\\x00\\xc\\x00\\x00\\x00\\x00",
        "\x6A": "\\x00\\x00\\x00\\xd\\x00\\x00\\x00\\x00",
        "\x6B": "\\x00\\x00\\x00\\xe\\x00\\x00\\x00\\x00",
        "\x6C": "\\x00\\x00\\x00\\xf\\x00\\x00\\x00\\x00",
        "\x6D": "\\x00\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x6E": "\\x00\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x6F": "\\x00\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x70": "\\x00\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x71": "\\x00\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x72": "\\x00\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x73": "\\x00\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x74": "\\x00\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x75": "\\x00\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x76": "\\x00\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x77": "\\x00\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x78": "\\x00\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x79": "\\x00\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x7A": "\\x00\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        "\x7B": "\\x02\\x00\\x00\\x40\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\x7C": "\\x02\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        "\x7D": "\\x02\\x00\\x00\\x40\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\xE0": "\\x00\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\xE8": "\\x00\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\xE9": "\\x02\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\xEC": "\\x00\\x00\\x00\\x2e\\x00\\x00\\x00\\x00",
        "\xF2": "\\x00\\x00\\x00\\x33\\x00\\x00\\x00\\x00",
        "\xF9": "\\x00\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\x0a": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
        "\x0d": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
    },
    'uk_bin' : {
        "\x47": "left-shift g",
        "\x67": "g",
    },
    'uk' : {
        "\x20": "\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00",
        "\x21": "\\x02\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x22": "\\x02\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x23": "\\x00\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\x24": "\\x02\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x25": "\\x02\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x26": "\\x02\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x27": "\\x00\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\x28": "\\x02\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x29": "\\x02\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x2A": "\\x02\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x2B": "\\x02\\x00\\x00\\x2e\\x00\\x00\\x00\\x00",
        "\x2C": "\\x00\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x2D": "\\x00\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x2E": "\\x00\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x2F": "\\x00\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x30": "\\x00\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x31": "\\x00\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x32": "\\x00\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x33": "\\x00\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x34": "\\x00\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x35": "\\x00\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x36": "\\x00\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x37": "\\x00\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x38": "\\x00\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x39": "\\x00\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x3A": "\\x02\\x00\\x00\\x33\\x00\\x00\\x00\\x00",
        "\x3B": "\\x00\\x00\\x00\\x33\\x00\\x00\\x00\\x00",
        "\x3C": "\\x02\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x3D": "\\x00\\x00\\x00\\x2e\\x00\\x00\\x00\\x00",
        "\x3E": "\\x02\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x3F": "\\x02\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x40": "\\x02\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\x41": "\\x02\\x00\\x00\\x4\\x00\\x00\\x00\\x00",
        "\x42": "\\x02\\x00\\x00\\x5\\x00\\x00\\x00\\x00",
        "\x43": "\\x02\\x00\\x00\\x6\\x00\\x00\\x00\\x00",
        "\x44": "\\x02\\x00\\x00\\x7\\x00\\x00\\x00\\x00",
        "\x45": "\\x02\\x00\\x00\\x8\\x00\\x00\\x00\\x00",
        "\x46": "\\x02\\x00\\x00\\x9\\x00\\x00\\x00\\x00",
        "\x47": "\\x02\\x00\\x00\\xa\\x00\\x00\\x00\\x00",
        "\x48": "\\x02\\x00\\x00\\xb\\x00\\x00\\x00\\x00",
        "\x49": "\\x02\\x00\\x00\\xc\\x00\\x00\\x00\\x00",
        "\x4A": "\\x02\\x00\\x00\\xd\\x00\\x00\\x00\\x00",
        "\x4B": "\\x02\\x00\\x00\\xe\\x00\\x00\\x00\\x00",
        "\x4C": "\\x02\\x00\\x00\\xf\\x00\\x00\\x00\\x00",
        "\x4D": "\\x02\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x4E": "\\x02\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x4F": "\\x02\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x50": "\\x02\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x51": "\\x02\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x52": "\\x02\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x53": "\\x02\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x54": "\\x02\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x55": "\\x02\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x56": "\\x02\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x57": "\\x02\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x58": "\\x02\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x59": "\\x02\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x5A": "\\x02\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        "\x5B": "\\x00\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\x5C": "\\x00\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x5D": "\\x00\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x5E": "\\x02\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x5F": "\\x02\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x60": "\\x00\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        "\x61": "\\x00\\x00\\x00\\x4\\x00\\x00\\x00\\x00",
        "\x62": "\\x00\\x00\\x00\\x5\\x00\\x00\\x00\\x00",
        "\x63": "\\x00\\x00\\x00\\x6\\x00\\x00\\x00\\x00",
        "\x64": "\\x00\\x00\\x00\\x7\\x00\\x00\\x00\\x00",
        "\x65": "\\x00\\x00\\x00\\x8\\x00\\x00\\x00\\x00",
        "\x66": "\\x00\\x00\\x00\\x9\\x00\\x00\\x00\\x00",
        "\x67": "\\x00\\x00\\x00\\xa\\x00\\x00\\x00\\x00",
        "\x68": "\\x00\\x00\\x00\\xb\\x00\\x00\\x00\\x00",
        "\x69": "\\x00\\x00\\x00\\xc\\x00\\x00\\x00\\x00",
        "\x6A": "\\x00\\x00\\x00\\xd\\x00\\x00\\x00\\x00",
        "\x6B": "\\x00\\x00\\x00\\xe\\x00\\x00\\x00\\x00",
        "\x6C": "\\x00\\x00\\x00\\xf\\x00\\x00\\x00\\x00",
        "\x6D": "\\x00\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x6E": "\\x00\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x6F": "\\x00\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x70": "\\x00\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x71": "\\x00\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x72": "\\x00\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x73": "\\x00\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x74": "\\x00\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x75": "\\x00\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x76": "\\x00\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x77": "\\x00\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x78": "\\x00\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x79": "\\x00\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x7A": "\\x00\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        "\x7B": "\\x02\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\x7C": "\\x02\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x7D": "\\x02\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x7E": "\\x02\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\x7F": "\\x00\\x00\\x00\\x2a\\x00\\x00\\x00\\x00",
        "\xA0": "\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00",
        "\xA3": "\\x02\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\xA6": "\\x40\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        "\xAC": "\\x40\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\xE9": "\\x40\\x00\\x00\\x8\\x00\\x00\\x00\\x00",
        "\xED": "\\x40\\x00\\x00\\xc\\x00\\x00\\x00\\x00",
        "\xF3": "\\x40\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\xFA": "\\x40\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x0a": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
        "\x0d": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
    },
    'dk_bin' : {
    },
    'dk' : {
        "\x20": "\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00",
        "\x21": "\\x02\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x22": "\\x02\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x23": "\\x02\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x24": "\\x40\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x25": "\\x02\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x26": "\\x02\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x27": "\\x00\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\x28": "\\x02\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x29": "\\x02\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x2A": "\\x02\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\x2B": "\\x00\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x2C": "\\x00\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x2D": "\\x00\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x2E": "\\x00\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x2F": "\\x02\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x30": "\\x00\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x31": "\\x00\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x32": "\\x00\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x33": "\\x00\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x34": "\\x00\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x35": "\\x00\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x36": "\\x00\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x37": "\\x00\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x38": "\\x00\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x39": "\\x00\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x3A": "\\x02\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x3B": "\\x02\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x3C": "\\x00\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x3D": "\\x02\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x3E": "\\x02\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x3F": "\\x02\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x40": "\\x40\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x41": "\\x02\\x00\\x00\\x4\\x00\\x00\\x00\\x00",
        "\x42": "\\x02\\x00\\x00\\x5\\x00\\x00\\x00\\x00",
        "\x43": "\\x02\\x00\\x00\\x6\\x00\\x00\\x00\\x00",
        "\x44": "\\x02\\x00\\x00\\x7\\x00\\x00\\x00\\x00",
        "\x45": "\\x02\\x00\\x00\\x8\\x00\\x00\\x00\\x00",
        "\x46": "\\x02\\x00\\x00\\x9\\x00\\x00\\x00\\x00",
        "\x47": "\\x02\\x00\\x00\\xa\\x00\\x00\\x00\\x00",
        "\x48": "\\x02\\x00\\x00\\xb\\x00\\x00\\x00\\x00",
        "\x49": "\\x02\\x00\\x00\\xc\\x00\\x00\\x00\\x00",
        "\x4A": "\\x02\\x00\\x00\\xd\\x00\\x00\\x00\\x00",
        "\x4B": "\\x02\\x00\\x00\\xe\\x00\\x00\\x00\\x00",
        "\x4C": "\\x02\\x00\\x00\\xf\\x00\\x00\\x00\\x00",
        "\x4D": "\\x02\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x4E": "\\x02\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x4F": "\\x02\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x50": "\\x02\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x51": "\\x02\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x52": "\\x02\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x53": "\\x02\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x54": "\\x02\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x55": "\\x02\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x56": "\\x02\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x57": "\\x02\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x58": "\\x02\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x59": "\\x02\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x5A": "\\x02\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        "\x5B": "\\x40\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x5C": "\\x40\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x5D": "\\x40\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x5F": "\\x02\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x61": "\\x00\\x00\\x00\\x4\\x00\\x00\\x00\\x00",
        "\x62": "\\x00\\x00\\x00\\x5\\x00\\x00\\x00\\x00",
        "\x63": "\\x00\\x00\\x00\\x6\\x00\\x00\\x00\\x00",
        "\x64": "\\x00\\x00\\x00\\x7\\x00\\x00\\x00\\x00",
        "\x65": "\\x00\\x00\\x00\\x8\\x00\\x00\\x00\\x00",
        "\x66": "\\x00\\x00\\x00\\x9\\x00\\x00\\x00\\x00",
        "\x67": "\\x00\\x00\\x00\\xa\\x00\\x00\\x00\\x00",
        "\x68": "\\x00\\x00\\x00\\xb\\x00\\x00\\x00\\x00",
        "\x69": "\\x00\\x00\\x00\\xc\\x00\\x00\\x00\\x00",
        "\x6A": "\\x00\\x00\\x00\\xd\\x00\\x00\\x00\\x00",
        "\x6B": "\\x00\\x00\\x00\\xe\\x00\\x00\\x00\\x00",
        "\x6C": "\\x00\\x00\\x00\\xf\\x00\\x00\\x00\\x00",
        "\x6D": "\\x00\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x6E": "\\x00\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x6F": "\\x00\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x70": "\\x00\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x71": "\\x00\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x72": "\\x00\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x73": "\\x00\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x74": "\\x00\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x75": "\\x00\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x76": "\\x00\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x77": "\\x00\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x78": "\\x00\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x79": "\\x00\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x7A": "\\x00\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        "\x7B": "\\x40\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x7C": "\\x40\\x00\\x00\\x2e\\x00\\x00\\x00\\x00",
        "\x7D": "\\x40\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x7E": "\\x40\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x7F": "\\x00\\x00\\x00\\x2a\\x00\\x00\\x00\\x00",
        "\xA0": "\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00",
        "\xA3": "\\x40\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\xA4": "\\x02\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\xA7": "\\x02\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        "\xAB": "\\x00\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\xAC": "\\x40\\x00\\x00\\x8\\x00\\x00\\x00\\x00",
        "\xB5": "\\x40\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\xBD": "\\x00\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        "\xC5": "\\x02\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\xC6": "\\x02\\x00\\x00\\x33\\x00\\x00\\x00\\x00",
        "\xD8": "\\x02\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\xDF": "\\x40\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\xE5": "\\x00\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\xE6": "\\x00\\x00\\x00\\x33\\x00\\x00\\x00\\x00",
        "\xF0": "\\x40\\x00\\x00\\x7\\x00\\x00\\x00\\x00",
        "\xF8": "\\x00\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\xFE": "\\x40\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x0a": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
        "\x0d": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
    },
    'no_bin' : {
    },
    'no' : {
        "\x20": "\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00",
        "\x21": "\\x02\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x22": "\\x02\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x23": "\\x02\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x24": "\\x40\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x25": "\\x02\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x26": "\\x02\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x27": "\\x00\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\x28": "\\x02\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x29": "\\x02\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x2A": "\\x02\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\x2B": "\\x00\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x2C": "\\x00\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x2D": "\\x00\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x2E": "\\x00\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x2F": "\\x02\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x30": "\\x00\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x31": "\\x00\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x32": "\\x00\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x33": "\\x00\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x34": "\\x00\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x35": "\\x00\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x36": "\\x00\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x37": "\\x00\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x38": "\\x00\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x39": "\\x00\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x3A": "\\x02\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x3B": "\\x02\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x3C": "\\x00\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x3D": "\\x02\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x3E": "\\x02\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x3F": "\\x02\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x40": "\\x40\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x41": "\\x02\\x00\\x00\\x4\\x00\\x00\\x00\\x00",
        "\x42": "\\x02\\x00\\x00\\x5\\x00\\x00\\x00\\x00",
        "\x43": "\\x02\\x00\\x00\\x6\\x00\\x00\\x00\\x00",
        "\x44": "\\x02\\x00\\x00\\x7\\x00\\x00\\x00\\x00",
        "\x45": "\\x02\\x00\\x00\\x8\\x00\\x00\\x00\\x00",
        "\x46": "\\x02\\x00\\x00\\x9\\x00\\x00\\x00\\x00",
        "\x47": "\\x02\\x00\\x00\\xa\\x00\\x00\\x00\\x00",
        "\x48": "\\x02\\x00\\x00\\xb\\x00\\x00\\x00\\x00",
        "\x49": "\\x02\\x00\\x00\\xc\\x00\\x00\\x00\\x00",
        "\x4A": "\\x02\\x00\\x00\\xd\\x00\\x00\\x00\\x00",
        "\x4B": "\\x02\\x00\\x00\\xe\\x00\\x00\\x00\\x00",
        "\x4C": "\\x02\\x00\\x00\\xf\\x00\\x00\\x00\\x00",
        "\x4D": "\\x02\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x4E": "\\x02\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x4F": "\\x02\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x50": "\\x02\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x51": "\\x02\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x52": "\\x02\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x53": "\\x02\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x54": "\\x02\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x55": "\\x02\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x56": "\\x02\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x57": "\\x02\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x58": "\\x02\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x59": "\\x02\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x5A": "\\x02\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        "\x5B": "\\x40\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x5C": "\\x00\\x00\\x00\\x2e\\x00\\x00\\x00\\x00",
        "\x5D": "\\x40\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x5F": "\\x02\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x61": "\\x00\\x00\\x00\\x4\\x00\\x00\\x00\\x00",
        "\x62": "\\x00\\x00\\x00\\x5\\x00\\x00\\x00\\x00",
        "\x63": "\\x00\\x00\\x00\\x6\\x00\\x00\\x00\\x00",
        "\x64": "\\x00\\x00\\x00\\x7\\x00\\x00\\x00\\x00",
        "\x65": "\\x00\\x00\\x00\\x8\\x00\\x00\\x00\\x00",
        "\x66": "\\x00\\x00\\x00\\x9\\x00\\x00\\x00\\x00",
        "\x67": "\\x00\\x00\\x00\\xa\\x00\\x00\\x00\\x00",
        "\x68": "\\x00\\x00\\x00\\xb\\x00\\x00\\x00\\x00",
        "\x69": "\\x00\\x00\\x00\\xc\\x00\\x00\\x00\\x00",
        "\x6A": "\\x00\\x00\\x00\\xd\\x00\\x00\\x00\\x00",
        "\x6B": "\\x00\\x00\\x00\\xe\\x00\\x00\\x00\\x00",
        "\x6C": "\\x00\\x00\\x00\\xf\\x00\\x00\\x00\\x00",
        "\x6D": "\\x00\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x6E": "\\x00\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x6F": "\\x00\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x70": "\\x00\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x71": "\\x00\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x72": "\\x00\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x73": "\\x00\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x74": "\\x00\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x75": "\\x00\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x76": "\\x00\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x77": "\\x00\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x78": "\\x00\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x79": "\\x00\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x7A": "\\x00\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        "\x7B": "\\x40\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x7C": "\\x00\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        "\x7D": "\\x40\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x7E": "\\x40\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x7F": "\\x00\\x00\\x00\\x2a\\x00\\x00\\x00\\x00",
        "\xA0": "\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00",
        "\xA3": "\\x40\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\xA4": "\\x02\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\xA7": "\\x02\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        "\xAB": "\\x00\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\xAC": "\\x40\\x00\\x00\\x8\\x00\\x00\\x00\\x00",
        "\xB5": "\\x40\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\xBD": "\\x00\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        "\xC5": "\\x02\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\xC6": "\\x02\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\xD8": "\\x02\\x00\\x00\\x33\\x00\\x00\\x00\\x00",
        "\xDF": "\\x40\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\xE5": "\\x00\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\xE6": "\\x00\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\xF0": "\\x40\\x00\\x00\\x7\\x00\\x00\\x00\\x00",
        "\xF8": "\\x00\\x00\\x00\\x33\\x00\\x00\\x00\\x00",
        "\xFE": "\\x40\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x0a": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
        "\x0d": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
    },
    'pt_bin' : {
        # Symbols
        "\x20": "space",
        "\x21": "left-shift 1", 	# !
        "\x22": "left-shift 2", 	# "
        "\x23": "left-shift 3", 	# hashtag nethunter
        "\x24": "left-shift 4", 	# $
        "\x25": "left-shift 5", 	# %
        "\x26": "left-shift 6", 	# &
        "\x27": "minus",		# '
        "\x28": "left-shift 8", 	# (
        "\x29": "left-shift 9", 	# )
        "\x2a": "left-shift lbracket", 	# *
        "\x2b": "lbracket", 		# +
        "\x2c": "comma", 		# ,
        "\x2d": "slash", 		# -
        "\x2e": "period", 		# .
        "\x2f": "left-shift 7", 	# slash
        # Numbers
        "\x30": "0",
        "\x31": "1",
        "\x32": "2",
        "\x33": "3",
        "\x34": "4",
        "\x35": "5",
        "\x36": "6",
        "\x37": "7",
        "\x38": "8",
        "\x39": "9",
        # Symbols
        "\x3a": "left-shift period",	# :
        "\x3b": "left-shift comma",	# ;
        "\x3c": "tilde",		# <
        "\x3d": "left-shift 0",		# =
        "\x3e": "left-shift tilde",	# >
        "\x3f": "left-shift dash",	# ?
        "\x40": "right-alt 2",		# @
        # Uppercase
        "\x41": "left-shift a",
        "\x42": "left-shift b",
        "\x43": "left-shift c",
        "\x44": "left-shift d",
        "\x45": "left-shift e",
        "\x46": "left-shift f",
        "\x47": "left-shift g",
        "\x48": "left-shift h",
        "\x49": "left-shift i",
        "\x4a": "left-shift j",
        "\x4b": "left-shift k",
        "\x4c": "left-shift l",
        "\x4d": "left-shift m",
        "\x4e": "left-shift n",
        "\x4f": "left-shift o",
        "\x50": "left-shift p",
        "\x51": "left-shift q",
        "\x52": "left-shift r",
        "\x53": "left-shift s",
        "\x54": "left-shift t",
        "\x55": "left-shift u",
        "\x56": "left-shift v",
        "\x57": "left-shift w",
        "\x58": "left-shift x",
        "\x59": "left-shift y",
        "\x5a": "left-shift z",
        # Symbols
        "\x5b": "right-alt 8",        	# [
        #"\x5c": "\\x00\\x00\\x00\\x64\\x00\\x00\\x00\\x00", # \
        "\x5d": "right-alt 9",        	# ]
        "\x5e": "left-shift backslash",	# ^
        "\x5f": "left-shift slash", 	# _
        "\x60": "left-shift rbracket",  # `
        # Lowercase
        "\x61": "a",
        "\x62": "b",
        "\x63": "c",
        "\x64": "d",
        "\x65": "e",
        "\x66": "f",
        "\x67": "g",
        "\x68": "h",
        "\x69": "i",
        "\x6a": "j",
        "\x6b": "k",
        "\x6c": "l",
        "\x6d": "m",
        "\x6e": "n",
        "\x6f": "o",
        "\x70": "p",
        "\x71": "q",
        "\x72": "r",
        "\x73": "s",
        "\x74": "t",
        "\x75": "u",
        "\x76": "v",
        "\x77": "w",
        "\x78": "x",
        "\x79": "y",
        "\x7a": "z",
        #Shift chars
        "\x7b": "right-alt 7",  # {
        #"\x7c": "\\x20\\x00\\x00\\x64\\x00\\x00\\x00\\x00",  # |
        "\x7d": "right-alt 0",  # }
        "\x7e": "backslash",    # ~
        "\x7f": "backspace",
        #SDLK_RETURN,0x28
        #"\x0a": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
        #"\x0d": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00"        
    },
    'pt' : {
        "\x20": "\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00",
        "\x21": "\\x02\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x22": "\\x02\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x23": "\\x02\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x24": "\\x02\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x25": "\\x02\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x26": "\\x02\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x27": "\\x00\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x28": "\\x02\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x29": "\\x02\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x2A": "\\x02\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\x2B": "\\x00\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\x2C": "\\x00\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x2D": "\\x00\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x2E": "\\x00\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x2F": "\\x02\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x30": "\\x00\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x31": "\\x00\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x32": "\\x00\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x33": "\\x00\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x34": "\\x00\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x35": "\\x00\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x36": "\\x00\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x37": "\\x00\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x38": "\\x00\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x39": "\\x00\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x3A": "\\x02\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x3B": "\\x02\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x3C": "\\x00\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x3D": "\\x02\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x3E": "\\x02\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x3F": "\\x02\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x40": "\\x40\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x41": "\\x02\\x00\\x00\\x4\\x00\\x00\\x00\\x00",
        "\x42": "\\x02\\x00\\x00\\x5\\x00\\x00\\x00\\x00",
        "\x43": "\\x02\\x00\\x00\\x6\\x00\\x00\\x00\\x00",
        "\x44": "\\x02\\x00\\x00\\x7\\x00\\x00\\x00\\x00",
        "\x45": "\\x02\\x00\\x00\\x8\\x00\\x00\\x00\\x00",
        "\x46": "\\x02\\x00\\x00\\x9\\x00\\x00\\x00\\x00",
        "\x47": "\\x02\\x00\\x00\\xa\\x00\\x00\\x00\\x00",
        "\x48": "\\x02\\x00\\x00\\xb\\x00\\x00\\x00\\x00",
        "\x49": "\\x02\\x00\\x00\\xc\\x00\\x00\\x00\\x00",
        "\x4A": "\\x02\\x00\\x00\\xd\\x00\\x00\\x00\\x00",
        "\x4B": "\\x02\\x00\\x00\\xe\\x00\\x00\\x00\\x00",
        "\x4C": "\\x02\\x00\\x00\\xf\\x00\\x00\\x00\\x00",
        "\x4D": "\\x02\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x4E": "\\x02\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x4F": "\\x02\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x50": "\\x02\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x51": "\\x02\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x52": "\\x02\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x53": "\\x02\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x54": "\\x02\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x55": "\\x02\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x56": "\\x02\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x57": "\\x02\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x58": "\\x02\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x59": "\\x02\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x5A": "\\x02\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        "\x5B": "\\x40\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x5C": "\\x00\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x5D": "\\x40\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x5E": "\\x02\\x00\\x00\\x32\\x00\\x00\\x00\\x00",
        "\x5F": "\\x02\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x60": "\\x02\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x61": "\\x00\\x00\\x00\\x4\\x00\\x00\\x00\\x00",
        "\x62": "\\x00\\x00\\x00\\x5\\x00\\x00\\x00\\x00",
        "\x63": "\\x00\\x00\\x00\\x6\\x00\\x00\\x00\\x00",
        "\x64": "\\x00\\x00\\x00\\x7\\x00\\x00\\x00\\x00",
        "\x65": "\\x00\\x00\\x00\\x8\\x00\\x00\\x00\\x00",
        "\x66": "\\x00\\x00\\x00\\x9\\x00\\x00\\x00\\x00",
        "\x67": "\\x00\\x00\\x00\\xa\\x00\\x00\\x00\\x00",
        "\x68": "\\x00\\x00\\x00\\xb\\x00\\x00\\x00\\x00",
        "\x69": "\\x00\\x00\\x00\\xc\\x00\\x00\\x00\\x00",
        "\x6A": "\\x00\\x00\\x00\\xd\\x00\\x00\\x00\\x00",
        "\x6B": "\\x00\\x00\\x00\\xe\\x00\\x00\\x00\\x00",
        "\x6C": "\\x00\\x00\\x00\\xf\\x00\\x00\\x00\\x00",
        "\x6D": "\\x00\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x6E": "\\x00\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x6F": "\\x00\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x70": "\\x00\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x71": "\\x00\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x72": "\\x00\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x73": "\\x00\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x74": "\\x00\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x75": "\\x00\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x76": "\\x00\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x77": "\\x00\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x78": "\\x00\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x79": "\\x00\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x7A": "\\x00\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        "\x7B": "\\x40\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x7C": "\\x20\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x7D": "\\x40\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x7E": "\\x00\\x00\\x00\\x32\\x00\\x00\\x00\\x00",
        "\x7F": "\\x00\\x00\\x00\\x2a\\x00\\x00\\x00\\x00",
        "\xA3": "\\x40\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\xA7": "\\x40\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\xAA": "\\x02\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\xAB": "\\x00\\x00\\x00\\x2e\\x00\\x00\\x00\\x00",
        "\xAC": "\\x40\\x00\\x00\\x8\\x00\\x00\\x00\\x00",
        "\xBA": "\\x00\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\xBB": "\\x02\\x00\\x00\\x2e\\x00\\x00\\x00\\x00",
        "\xC7": "\\x02\\x00\\x00\\x33\\x00\\x00\\x00\\x00",
        "\xE7": "\\x00\\x00\\x00\\x33\\x00\\x00\\x00\\x00",
        "\x0a": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
        "\x0d": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
    },
    'be_bin' : {
    },
    'be' : {
        "\x20": "\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00",
        "\x21": "\\x00\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x22": "\\x00\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x23": "\\x40\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x24": "\\x00\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x25": "\\x02\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\x26": "\\x00\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x27": "\\x00\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x28": "\\x00\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x29": "\\x00\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x2A": "\\x02\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x2B": "\\x02\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x2C": "\\x00\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x2D": "\\x00\\x00\\x00\\x2e\\x00\\x00\\x00\\x00",
        "\x2E": "\\x02\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x2F": "\\x02\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x30": "\\x02\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x31": "\\x02\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x32": "\\x02\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x33": "\\x02\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x34": "\\x02\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x35": "\\x02\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x36": "\\x02\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x37": "\\x02\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x38": "\\x02\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x39": "\\x02\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x3A": "\\x00\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x3B": "\\x00\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x3C": "\\x00\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x3D": "\\x00\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x3E": "\\x02\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x3F": "\\x02\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x40": "\\x40\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x41": "\\x02\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x42": "\\x02\\x00\\x00\\x5\\x00\\x00\\x00\\x00",
        "\x43": "\\x02\\x00\\x00\\x6\\x00\\x00\\x00\\x00",
        "\x44": "\\x02\\x00\\x00\\x7\\x00\\x00\\x00\\x00",
        "\x45": "\\x02\\x00\\x00\\x8\\x00\\x00\\x00\\x00",
        "\x46": "\\x02\\x00\\x00\\x9\\x00\\x00\\x00\\x00",
        "\x47": "\\x02\\x00\\x00\\xa\\x00\\x00\\x00\\x00",
        "\x48": "\\x02\\x00\\x00\\xb\\x00\\x00\\x00\\x00",
        "\x49": "\\x02\\x00\\x00\\xc\\x00\\x00\\x00\\x00",
        "\x4A": "\\x02\\x00\\x00\\xd\\x00\\x00\\x00\\x00",
        "\x4B": "\\x02\\x00\\x00\\xe\\x00\\x00\\x00\\x00",
        "\x4C": "\\x02\\x00\\x00\\xf\\x00\\x00\\x00\\x00",
        "\x4D": "\\x02\\x00\\x00\\x33\\x00\\x00\\x00\\x00",
        "\x4E": "\\x02\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x4F": "\\x02\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x50": "\\x02\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x51": "\\x02\\x00\\x00\\x4\\x00\\x00\\x00\\x00",
        "\x52": "\\x02\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x53": "\\x02\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x54": "\\x02\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x55": "\\x02\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x56": "\\x02\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x57": "\\x02\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        "\x58": "\\x02\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x59": "\\x02\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x5A": "\\x02\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x5B": "\\x40\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x5C": "\\x40\\x00\\x00\\x64\\x00\\x00\\x00\\x00",
        "\x5D": "\\x40\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\x5E": "\\x40\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x5F": "\\x02\\x00\\x00\\x2e\\x00\\x00\\x00\\x00",
        "\x60": "\\x40\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\x61": "\\x00\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x62": "\\x00\\x00\\x00\\x5\\x00\\x00\\x00\\x00",
        "\x63": "\\x00\\x00\\x00\\x6\\x00\\x00\\x00\\x00",
        "\x64": "\\x00\\x00\\x00\\x7\\x00\\x00\\x00\\x00",
        "\x65": "\\x00\\x00\\x00\\x8\\x00\\x00\\x00\\x00",
        "\x66": "\\x00\\x00\\x00\\x9\\x00\\x00\\x00\\x00",
        "\x67": "\\x00\\x00\\x00\\xa\\x00\\x00\\x00\\x00",
        "\x68": "\\x00\\x00\\x00\\xb\\x00\\x00\\x00\\x00",
        "\x69": "\\x00\\x00\\x00\\xc\\x00\\x00\\x00\\x00",
        "\x6A": "\\x00\\x00\\x00\\xd\\x00\\x00\\x00\\x00",
        "\x6B": "\\x00\\x00\\x00\\xe\\x00\\x00\\x00\\x00",
        "\x6C": "\\x00\\x00\\x00\\xf\\x00\\x00\\x00\\x00",
        "\x6D": "\\x00\\x00\\x00\\x33\\x00\\x00\\x00\\x00",
        "\x6E": "\\x00\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x6F": "\\x00\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x70": "\\x00\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x71": "\\x00\\x00\\x00\\x4\\x00\\x00\\x00\\x00",
        "\x72": "\\x00\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x73": "\\x00\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x74": "\\x00\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x75": "\\x00\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x76": "\\x00\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x77": "\\x00\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        "\x78": "\\x00\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x79": "\\x00\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x7A": "\\x00\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x7B": "\\x40\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x7C": "\\x40\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x7D": "\\x40\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x7E": "\\x40\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x7F": "\\x00\\x00\\x00\\x2a\\x00\\x00\\x00\\x00",
        "\xA0": "\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00",
        "\xA3": "\\x02\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\xA7": "\\x00\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\xAC": "\\x40\\x00\\x00\\x8\\x00\\x00\\x00\\x00",
        "\xB0": "\\x02\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\xB2": "\\x00\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        "\xB3": "\\x02\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        "\xB5": "\\x00\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\xE0": "\\x00\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\xE7": "\\x00\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\xE8": "\\x00\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\xE9": "\\x00\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\xF9": "\\x00\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\x0a": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
        "\x0d": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
    },
    'cm_bin' : {
        # Symbols
        "\x20": "space",
        "\x21": "left-shift 1",         # !
        "\x22": "left-shift period",    # "
        "\x23": "left-shift 3",         # hashtag nethunter
        "\x24": "left-shift 4",         # $
        "\x25": "left-shift 5",         # %
        "\x26": "left-shift 7",         # &
        "\x27": "left-shift comma",     # '
        "\x28": "left-shift 9",         # (
        "\x29": "left-shift 0",         # )
        "\x2a": "left-shift 8",         # *
        "\x2b": "left-shift equals",    # +
        "\x2c": "comma",                # ,
        "\x2d": "minus",                # -
        "\x2e": "period",               # .
        "\x2f": "tilde",
        # Numbers
        "\x30": "0",
        "\x31": "1",
        "\x32": "2",
        "\x33": "3",
        "\x34": "4",
        "\x35": "5",
        "\x36": "6",
        "\x37": "7",
        "\x38": "8",
        "\x39": "9",
        # Symbols
        "\x3a": "left-shift semicolon", # :
        "\x3b": "semicolon",            # ;
        "\x3c": "right-alt comma",      # <
        "\x3d": "equals",               # =
        "\x3e": "right-alt period",     # >
        "\x3f": "left-shift 6",         # ?
        "\x40": "left-shift 2",         # @
        # Uppercase
        "\x41": "left-shift a",
        "\x42": "left-shift b",
        "\x43": "left-shift c",
        "\x44": "left-shift d",
        "\x45": "left-shift e",
        "\x46": "left-shift f",
        "\x47": "left-shift g",
        "\x48": "left-shift h",
        "\x49": "left-shift i",
        "\x4a": "left-shift j",
        "\x4b": "left-shift k",
        "\x4c": "left-shift l",
        "\x4d": "left-shift m",
        "\x4e": "left-shift n",
        "\x4f": "left-shift o",
        "\x50": "left-shift p",
        "\x51": "left-shift q",
        "\x52": "left-shift r",
        "\x53": "left-shift s",
        "\x54": "left-shift t",
        "\x55": "left-shift u",
        "\x56": "left-shift v",
        "\x57": "left-shift w",
        "\x58": "left-shift x",
        "\x59": "left-shift y",
        "\x5a": "left-shift z",
        # Symbols
        "\x5b": "right-alt 9",     	# [
        "\x5c": "left-shift tilde",     # \
        "\x5d": "right-alt 0",     	# ]
        "\x5e": ["lbracket", "lbracket"],    # ^
        #"\x5f": "left-shift dash", 	# _
		"\x5f": "left-shift minus", # _
        "\x60": ["right-alt lbracket", "right-alt lbracket"],           # `
        # Lowercase
        "\x61": "a",
        "\x62": "b",
        "\x63": "c",
        "\x64": "d",
        "\x65": "e",
        "\x66": "f",
        "\x67": "g",
        "\x68": "h",
        "\x69": "i",
        "\x6a": "j",
        "\x6b": "k",
        "\x6c": "l",
        "\x6d": "m",
        "\x6e": "n",
        "\x6f": "o",
        "\x70": "p",
        "\x71": "q",
        "\x72": "r",
        "\x73": "s",
        "\x74": "t",
        "\x75": "u",
        "\x76": "v",
        "\x77": "w",
        "\x78": "x",
        "\x79": "y",
        "\x7a": "z",
        #Shift chars
        "\x7b": "right-alt 7",  	# {
        "\x7c": "right-alt tilde",      # |
        "\x7d": "right-alt 8",		# }
        "\x7e": "right-alt rbracket",   # ~
        "\x7f": "backspace",
        #SDLK_RETURN,0x28
        #"\x0a": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
        #"\x0d": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00"
    },
    'cm' : {
        # Symbols 
        "\x20": "\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00",
        "\x21": "\\x20\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x22": "\\x20\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\x23": "\\x20\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x24": "\\x20\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x25": "\\x20\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x26": "\\x20\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x27": "\\x00\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\x28": "\\x20\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x29": "\\x20\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x2a": "\\x20\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x2b": "\\x20\\x00\\x00\\x2e\\x00\\x00\\x00\\x00",
        "\x2c": "\\x00\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x2d": "\\x00\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x2e": "\\x00\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x2f": "\\x00\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        # Numbers
        "\x30": "\\x00\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x31": "\\x00\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x32": "\\x00\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x33": "\\x00\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x34": "\\x00\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x35": "\\x00\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x36": "\\x00\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x37": "\\x00\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x38": "\\x00\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x39": "\\x00\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        # Symbols
        "\x3a": "\\x20\\x00\\x00\\x33\\x00\\x00\\x00\\x00",
        "\x3b": "\\x00\\x00\\x00\\x33\\x00\\x00\\x00\\x00",
        "\x3c": "\\x20\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x3d": "\\x00\\x00\\x00\\x2e\\x00\\x00\\x00\\x00",
        "\x3e": "\\x20\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x3f": "\\x20\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x40": "\\x20\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        # Uppercase
        "\x41": "\\x20\\x00\\x00\\x04\\x00\\x00\\x00\\x00",
        "\x42": "\\x20\\x00\\x00\\x05\\x00\\x00\\x00\\x00",
        "\x43": "\\x20\\x00\\x00\\x06\\x00\\x00\\x00\\x00",
        "\x44": "\\x20\\x00\\x00\\x07\\x00\\x00\\x00\\x00",
        "\x45": "\\x20\\x00\\x00\\x08\\x00\\x00\\x00\\x00",
        "\x46": "\\x20\\x00\\x00\\x09\\x00\\x00\\x00\\x00",
        "\x47": "\\x20\\x00\\x00\\x0a\\x00\\x00\\x00\\x00",
        "\x48": "\\x20\\x00\\x00\\x0b\\x00\\x00\\x00\\x00",
        "\x49": "\\x20\\x00\\x00\\x0c\\x00\\x00\\x00\\x00",
        "\x4a": "\\x20\\x00\\x00\\x0d\\x00\\x00\\x00\\x00",
        "\x4b": "\\x20\\x00\\x00\\x0e\\x00\\x00\\x00\\x00",
        "\x4c": "\\x20\\x00\\x00\\x0f\\x00\\x00\\x00\\x00",
        "\x4d": "\\x20\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x4e": "\\x20\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x4f": "\\x20\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x50": "\\x20\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x51": "\\x20\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x52": "\\x20\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x53": "\\x20\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x54": "\\x20\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x55": "\\x20\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x56": "\\x20\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x57": "\\x20\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x58": "\\x20\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x59": "\\x20\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x5a": "\\x20\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        # Symbols
        "\x5b": "\\x00\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\x5c": "\\x00\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\x5d": "\\x00\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x5e": "\\x20\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x5f": "\\x00\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x60": "\\x00\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        # Lowercase
        "\x61": "\\x00\\x00\\x00\\x04\\x00\\x00\\x00\\x00", # a
        "\x62": "\\x00\\x00\\x00\\x05\\x00\\x00\\x00\\x00", # b
        "\x63": "\\x00\\x00\\x00\\x06\\x00\\x00\\x00\\x00", # c
        "\x64": "\\x00\\x00\\x00\\x07\\x00\\x00\\x00\\x00", # d
        "\x65": "\\x00\\x00\\x00\\x08\\x00\\x00\\x00\\x00", # e
        "\x66": "\\x00\\x00\\x00\\x09\\x00\\x00\\x00\\x00", # f
        "\x67": "\\x00\\x00\\x00\\x0a\\x00\\x00\\x00\\x00", # g
        "\x68": "\\x00\\x00\\x00\\x0b\\x00\\x00\\x00\\x00", # e
        "\x69": "\\x00\\x00\\x00\\x0c\\x00\\x00\\x00\\x00",
        "\x6a": "\\x00\\x00\\x00\\x0d\\x00\\x00\\x00\\x00",
        "\x6b": "\\x00\\x00\\x00\\x0e\\x00\\x00\\x00\\x00",
        "\x6c": "\\x00\\x00\\x00\\x0f\\x00\\x00\\x00\\x00",
        "\x6d": "\\x00\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x6e": "\\x00\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x6f": "\\x00\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x70": "\\x00\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x71": "\\x00\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x72": "\\x00\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x73": "\\x00\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x74": "\\x00\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x75": "\\x00\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x76": "\\x00\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x77": "\\x00\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x78": "\\x00\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x79": "\\x00\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x7a": "\\x00\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        #Shift chars
        "\x7b": "\\x20\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\x7c": "\\x20\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\x7d": "\\x20\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x7e": "\\x20\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        #SDLK_RETURN,0x28
        #"\x0a": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
        #"\x0d": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00"
    },
    'ca_bin' : {
        # Symbols
        "\x20": "space",
        "\x21": "left-shift 1",         # !
        "\x22": "left-shift 2",         # "
        "\x23": "tilde",	        # hashtag nethunter
        "\x24": "left-shift 4",         # $
        "\x25": "left-shift 5",         # %
        "\x26": "left-shift 7",         # &
        "\x27": "left-shift comma",     # '
        "\x28": "left-shift 9",         # (
        "\x29": "left-shift 0",         # )
        "\x2a": "left-shift 8",         # *
        "\x2b": "left-shift equals",    # +
        "\x2c": "comma",                # ,
        "\x2d": "minus",                # -
        "\x2e": "period",               # .
        "\x2f": "left-shift 3",
        # Numbers
        "\x30": "0",
        "\x31": "1",
        "\x32": "2",
        "\x33": "3",
        "\x34": "4",
        "\x35": "5",
        "\x36": "6",
        "\x37": "7",
        "\x38": "8",
        "\x39": "9",
        # Symbols
        "\x3a": "left-shift semicolon",     # :
        "\x3b": "semicolon",                # ;
        "\x3c": "backslash",          	    # <
        "\x3d": "equals",                   # =
        "\x3e": "left-shift backslash",     # >
        "\x3f": "left-shift 6",             # ?
        "\x40": "right-alt 2",              # @
        # Uppercase
        "\x41": "left-shift a",
        "\x42": "left-shift b",
        "\x43": "left-shift c",
        "\x44": "left-shift d",
        "\x45": "left-shift e",
        "\x46": "left-shift f",
        "\x47": "left-shift g",
        "\x48": "left-shift h",
        "\x49": "left-shift i",
        "\x4a": "left-shift j",
        "\x4b": "left-shift k",
        "\x4c": "left-shift l",
        "\x4d": "left-shift m",
        "\x4e": "left-shift n",
        "\x4f": "left-shift o",
        "\x50": "left-shift p",
        "\x51": "left-shift q",
        "\x52": "left-shift r",
        "\x53": "left-shift s",
        "\x54": "left-shift t",
        "\x55": "left-shift u",
        "\x56": "left-shift v",
        "\x57": "left-shift w",
        "\x58": "left-shift x",
        "\x59": "left-shift y",
        "\x5a": "left-shift z",
        # Symbols
        "\x5b": "right-alt lbracket",     	# [
        "\x5c": "right-alt tilde",     		# \
        "\x5d": "right-alt rbracket",     	# ]
        "\x5e": "lbracket", 			# ^
        #"\x5f": "left-shift dash", 		# _
		"\x5f": "left-shift minus",	# _
        "\x60":  "quote",           		# `
        # Lowercase
        "\x61": "a",
        "\x62": "b",
        "\x63": "c",
        "\x64": "d",
        "\x65": "e",
        "\x66": "f",
        "\x67": "g",
        "\x68": "h",
        "\x69": "i",
        "\x6a": "j",
        "\x6b": "k",
        "\x6c": "l",
        "\x6d": "m",
        "\x6e": "n",
        "\x6f": "o",
        "\x70": "p",
        "\x71": "q",
        "\x72": "r",
        "\x73": "s",
        "\x74": "t",
        "\x75": "u",
        "\x76": "v",
        "\x77": "w",
        "\x78": "x",
        "\x79": "y",
        "\x7a": "z",
        #Shift chars
        "\x7b": "right-alt quote",  	# {
        "\x7c": "left-shift tilde",     # |
        "\x7d": "right-alt backslash",	# }
        "\x7e": "right-alt semicolon",  # ~
        "\x7f": "backspace",
        #SDLK_RETURN,0x28
        #"\x0a": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
        #"\x0d": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00"
    },
    'ca' : {
        # Symbols 
        "\x20": "\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00",
        "\x21": "\\x20\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x22": "\\x20\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\x23": "\\x20\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x24": "\\x20\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x25": "\\x20\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x26": "\\x20\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x27": "\\x00\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\x28": "\\x20\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x29": "\\x20\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x2a": "\\x20\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x2b": "\\x20\\x00\\x00\\x2e\\x00\\x00\\x00\\x00",
        "\x2c": "\\x00\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x2d": "\\x00\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x2e": "\\x00\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x2f": "\\x00\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        # Numbers
        "\x30": "\\x00\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x31": "\\x00\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x32": "\\x00\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x33": "\\x00\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x34": "\\x00\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x35": "\\x00\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x36": "\\x00\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x37": "\\x00\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x38": "\\x00\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x39": "\\x00\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        # Symbols
        "\x3a": "\\x20\\x00\\x00\\x33\\x00\\x00\\x00\\x00",
        "\x3b": "\\x00\\x00\\x00\\x33\\x00\\x00\\x00\\x00",
        "\x3c": "\\x20\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x3d": "\\x00\\x00\\x00\\x2e\\x00\\x00\\x00\\x00",
        "\x3e": "\\x20\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x3f": "\\x20\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x40": "\\x20\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        # Uppercase
        "\x41": "\\x20\\x00\\x00\\x04\\x00\\x00\\x00\\x00",
        "\x42": "\\x20\\x00\\x00\\x05\\x00\\x00\\x00\\x00",
        "\x43": "\\x20\\x00\\x00\\x06\\x00\\x00\\x00\\x00",
        "\x44": "\\x20\\x00\\x00\\x07\\x00\\x00\\x00\\x00",
        "\x45": "\\x20\\x00\\x00\\x08\\x00\\x00\\x00\\x00",
        "\x46": "\\x20\\x00\\x00\\x09\\x00\\x00\\x00\\x00",
        "\x47": "\\x20\\x00\\x00\\x0a\\x00\\x00\\x00\\x00",
        "\x48": "\\x20\\x00\\x00\\x0b\\x00\\x00\\x00\\x00",
        "\x49": "\\x20\\x00\\x00\\x0c\\x00\\x00\\x00\\x00",
        "\x4a": "\\x20\\x00\\x00\\x0d\\x00\\x00\\x00\\x00",
        "\x4b": "\\x20\\x00\\x00\\x0e\\x00\\x00\\x00\\x00",
        "\x4c": "\\x20\\x00\\x00\\x0f\\x00\\x00\\x00\\x00",
        "\x4d": "\\x20\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x4e": "\\x20\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x4f": "\\x20\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x50": "\\x20\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x51": "\\x20\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x52": "\\x20\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x53": "\\x20\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x54": "\\x20\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x55": "\\x20\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x56": "\\x20\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x57": "\\x20\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x58": "\\x20\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x59": "\\x20\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x5a": "\\x20\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        # Symbols
        "\x5b": "\\x00\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\x5c": "\\x00\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\x5d": "\\x00\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x5e": "\\x20\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x5f": "\\x00\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x60": "\\x00\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        # Lowercase
        "\x61": "\\x00\\x00\\x00\\x04\\x00\\x00\\x00\\x00", # a
        "\x62": "\\x00\\x00\\x00\\x05\\x00\\x00\\x00\\x00", # b
        "\x63": "\\x00\\x00\\x00\\x06\\x00\\x00\\x00\\x00", # c
        "\x64": "\\x00\\x00\\x00\\x07\\x00\\x00\\x00\\x00", # d
        "\x65": "\\x00\\x00\\x00\\x08\\x00\\x00\\x00\\x00", # e
        "\x66": "\\x00\\x00\\x00\\x09\\x00\\x00\\x00\\x00", # f
        "\x67": "\\x00\\x00\\x00\\x0a\\x00\\x00\\x00\\x00", # g
        "\x68": "\\x00\\x00\\x00\\x0b\\x00\\x00\\x00\\x00", # e
        "\x69": "\\x00\\x00\\x00\\x0c\\x00\\x00\\x00\\x00",
        "\x6a": "\\x00\\x00\\x00\\x0d\\x00\\x00\\x00\\x00",
        "\x6b": "\\x00\\x00\\x00\\x0e\\x00\\x00\\x00\\x00",
        "\x6c": "\\x00\\x00\\x00\\x0f\\x00\\x00\\x00\\x00",
        "\x6d": "\\x00\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\x6e": "\\x00\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\x6f": "\\x00\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\x70": "\\x00\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\x71": "\\x00\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\x72": "\\x00\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\x73": "\\x00\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\x74": "\\x00\\x00\\x00\\x17\\x00\\x00\\x00\\x00",
        "\x75": "\\x00\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\x76": "\\x00\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\x77": "\\x00\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\x78": "\\x00\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\x79": "\\x00\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\x7a": "\\x00\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        #Shift chars
        "\x7b": "\\x20\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\x7c": "\\x20\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\x7d": "\\x20\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\x7e": "\\x20\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        #SDLK_RETURN,0x28
        #"\x0a": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
        #"\x0d": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00"
    },
    'ru_bin' : {
    },
    'ru' : {
        "\x20": "\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00",
        "\x21": "\\x02\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x22": "\\x02\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x23": "\\x02\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x24": "\\x02\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x25": "\\x02\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x26": "\\x02\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x27": "\\x02\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x28": "\\x02\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x29": "\\x02\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x2A": "\\x02\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x2C": "\\x02\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x2D": "\\x00\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x2E": "\\x02\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x2F": "\\x02\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x30": "\\x00\\x00\\x00\\x27\\x00\\x00\\x00\\x00",
        "\x31": "\\x00\\x00\\x00\\x1e\\x00\\x00\\x00\\x00",
        "\x32": "\\x00\\x00\\x00\\x1f\\x00\\x00\\x00\\x00",
        "\x33": "\\x00\\x00\\x00\\x20\\x00\\x00\\x00\\x00",
        "\x34": "\\x00\\x00\\x00\\x21\\x00\\x00\\x00\\x00",
        "\x35": "\\x00\\x00\\x00\\x22\\x00\\x00\\x00\\x00",
        "\x36": "\\x00\\x00\\x00\\x23\\x00\\x00\\x00\\x00",
        "\x37": "\\x00\\x00\\x00\\x24\\x00\\x00\\x00\\x00",
        "\x38": "\\x00\\x00\\x00\\x25\\x00\\x00\\x00\\x00",
        "\x39": "\\x00\\x00\\x00\\x26\\x00\\x00\\x00\\x00",
        "\x3A": "\\x00\\x00\\x00\\x37\\x00\\x00\\x00\\x00",
        "\x3B": "\\x00\\x00\\x00\\x36\\x00\\x00\\x00\\x00",
        "\x3F": "\\x00\\x00\\x00\\x38\\x00\\x00\\x00\\x00",
        "\x5F": "\\x02\\x00\\x00\\x2d\\x00\\x00\\x00\\x00",
        "\x7E": "\\x00\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\xA1": "\\x02\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        "\xB0": "\\x02\\x00\\x00\\x4\\x00\\x00\\x00\\x00",
        "\xB1": "\\x02\\x00\\x00\\x5\\x00\\x00\\x00\\x00",
        "\xB2": "\\x02\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\xB3": "\\x02\\x00\\x00\\xa\\x00\\x00\\x00\\x00",
        "\xB4": "\\x02\\x00\\x00\\x7\\x00\\x00\\x00\\x00",
        "\xB5": "\\x02\\x00\\x00\\x8\\x00\\x00\\x00\\x00",
        "\xB6": "\\x02\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\xB7": "\\x02\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        "\xB8": "\\x02\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\xB9": "\\x02\\x00\\x00\\xd\\x00\\x00\\x00\\x00",
        "\xBA": "\\x02\\x00\\x00\\xe\\x00\\x00\\x00\\x00",
        "\xBB": "\\x02\\x00\\x00\\xf\\x00\\x00\\x00\\x00",
        "\xBC": "\\x02\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\xBD": "\\x02\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\xBE": "\\x02\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\xC0": "\\x02\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\xC1": "\\x02\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\xC2": "\\x02\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\xC3": "\\x02\\x00\\x00\\xc\\x00\\x00\\x00\\x00",
        "\xC5": "\\x02\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\xC6": "\\x02\\x00\\x00\\x6\\x00\\x00\\x00\\x00",
        "\xC8": "\\x02\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\xC9": "\\x02\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\xCA": "\\x00\\x00\\x00\\5\\x00\\x00\\x00\\x00",
        "\xCB": "\\x02\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\xCC": "\\x02\\x00\\x00\\x02\\x00\\x00\\x00\\x00",
        "\xCE": "\\x02\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\xCF": "\\x02\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\xD0": "\\x00\\x00\\x00\\x4\\x00\\x00\\x00\\x00",
        "\xD1": "\\x00\\x00\\x00\\x5\\x00\\x00\\x00\\x00",
        "\xD2": "\\x00\\x00\\x00\\x19\\x00\\x00\\x00\\x00",
        "\xD3": "\\x00\\x00\\x00\\xa\\x00\\x00\\x00\\x00",
        "\xD4": "\\x00\\x00\\x00\\x7\\x00\\x00\\x00\\x00",
        "\xD5": "\\x00\\x00\\x00\\x8\\x00\\x00\\x00\\x00",
        "\xD6": "\\x00\\x00\\x00\\x34\\x00\\x00\\x00\\x00",
        "\xD7": "\\x00\\x00\\x00\\x1d\\x00\\x00\\x00\\x00",
        "\xD8": "\\x00\\x00\\x00\\x12\\x00\\x00\\x00\\x00",
        "\xD9": "\\x00\\x00\\x00\\xd\\x00\\x00\\x00\\x00",
        "\xDA": "\\x00\\x00\\x00\\xe\\x00\\x00\\x00\\x00",
        "\xDB": "\\x00\\x00\\x00\\xf\\x00\\x00\\x00\\x00",
        "\xDC": "\\x00\\x00\\x00\\x10\\x00\\x00\\x00\\x00",
        "\xDD": "\\x00\\x00\\x00\\x11\\x00\\x00\\x00\\x00",
        "\xDE": "\\x00\\x00\\x00\\x13\\x00\\x00\\x00\\x00",
        "\xE0": "\\x00\\x00\\x00\\x15\\x00\\x00\\x00\\x00",
        "\xE1": "\\x00\\x00\\x00\\x16\\x00\\x00\\x00\\x00",
        "\xE2": "\\x00\\x00\\x00\\x1c\\x00\\x00\\x00\\x00",
        "\xE3": "\\x00\\x00\\x00\\xc\\x00\\x00\\x00\\x00",
        "\xE5": "\\x00\\x00\\x00\\x1b\\x00\\x00\\x00\\x00",
        "\xE6": "\\x00\\x00\\x00\\x6\\x00\\x00\\x00\\x00",
        "\xE8": "\\x00\\x00\\x00\\x1a\\x00\\x00\\x00\\x00",
        "\xE9": "\\x00\\x00\\x00\\x30\\x00\\x00\\x00\\x00",
        "\xEA": "\\x02\\x00\\x00\\x02\\x00\\x00\\x00\\x00",
        "\xEB": "\\x00\\x00\\x00\\x18\\x00\\x00\\x00\\x00",
        "\xEC": "\\x00\\x00\\x00\\x02\\x00\\x00\\x00\\x00",
        "\xEE": "\\x00\\x00\\x00\\x2f\\x00\\x00\\x00\\x00",
        "\xEF": "\\x00\\x00\\x00\\x14\\x00\\x00\\x00\\x00",
        "\xF0": "\\x02\\x00\\x00\\x31\\x00\\x00\\x00\\x00",
        "\xF1": "\\x00\\x00\\x00\\x35\\x00\\x00\\x00\\x00",
        "\x0a": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
        "\x0d": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
    },
'hu_bin' : {
        # Symbols
        "\x20": "space",
        "\x21": "left-shift 4", # !
        "\x22": "left-shift 2", # "
        "\x23": "right-alt x", # hashtag nethunter
        "\x24": "right-alt semicolon", # $
        "\x25": "left-shift 5", # %
        "\x26": "right-alt c", # &
        "\x27": "left-shift 1", # '
        "\x28": "left-shift 8", # (
        "\x29": "left-shift 9", # )
        "\x2a": "right-alt slash", # *
        "\x2b": "left-shift 3", # +
        "\x2c": "comma", # ,
        "\x2d": "slash", # -
        "\x2e": "period", # .
        "\x2f": "left-shift 6", # /
        # Numbers
        "\x30": "tilde", # 0
        "\x31": "1",
        "\x32": "2",
        "\x33": "3",
        "\x34": "4",
        "\x35": "5",
        "\x36": "6",
        "\x37": "7",
        "\x38": "8",
        "\x39": "9",
        # Symbols
        "\x3a": "left-shift period",  # :
        "\x3b": "right-alt comma",        # ;
        "\x3c": "right-alt m",   # <
        "\x3d": "left-shift 7",       # =
        "\x3e": "right-alt period",    # >
        "\x3f": "left-shift comma",   # ?
        "\x40": "right-alt v",        # @
        # Uppercase
        "\x41": "left-shift a",
        "\x42": "left-shift b",
        "\x43": "left-shift c",
        "\x44": "left-shift d",
        "\x45": "left-shift e",
        "\x46": "left-shift f",
        "\x47": "left-shift g",
        "\x48": "left-shift h",
        "\x49": "left-shift i",
        "\x4a": "left-shift j",
        "\x4b": "left-shift k",
        "\x4c": "left-shift l",
        "\x4d": "left-shift m",
        "\x4e": "left-shift n",
        "\x4f": "left-shift o",
        "\x50": "left-shift p",
        "\x51": "left-shift q",
        "\x52": "left-shift r",
        "\x53": "left-shift s",
        "\x54": "left-shift t",
        "\x55": "left-shift u",
        "\x56": "left-shift v",
        "\x57": "left-shift w",
        "\x58": "left-shift x",
        "\x59": "left-shift z",
        "\x5a": "left-shift y",
        # Symbols
        "\x5b": "right-alt f",      # [
        "\x5c": "right-alt q",      # \
        "\x5d": "right-alt g",      # ]
        "\x5e": "right-alt 3",      # ^
        "\x5f": "left-shift slash", # _
        "\x60": "right-alt 7",      # `
        # Lowercase
        "\x61": "a",
        "\x62": "b",
        "\x63": "c",
        "\x64": "d",
        "\x65": "e",
        "\x66": "f",
        "\x67": "g",
        "\x68": "h",
        "\x69": "i",
        "\x6a": "j",
        "\x6b": "k",
        "\x6c": "l",
        "\x6d": "m",
        "\x6e": "n",
        "\x6f": "o",
        "\x70": "p",
        "\x71": "q",
        "\x72": "r",
        "\x73": "s",
        "\x74": "t",
        "\x75": "u",
        "\x76": "v",
        "\x77": "w",
        "\x78": "x",
        "\x79": "z",
        "\x7a": "y",
        #Shift chars
        "\x7b": "right-alt b",  # {
        "\x7c": "right-alt w",  # |
        "\x7d": "right-alt n",  # }
        "\x7e": "right-alt 1",     # ~
        "\x7f": "backspace",
        #SDLK_RETURN,0x28
        #"\x0a": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
        #"\x0d": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00"
    },
    'hu' : {
        # Symbols
        "\x20": "\\x00\\x00\\x00\\x2c\\x00\\x00\\x00\\x00", # space
        "\x21": "\\x20\\x00\\x00\\x21\\x00\\x00\\x00\\x00", # !
        "\x22": "\\x20\\x00\\x00\\x1f\\x00\\x00\\x00\\x00", # "
        "\x23": "\\x40\\x00\\x00\\x1b\\x00\\x00\\x00\\x00", # hashtag nethunter
        "\x24": "\\x40\\x00\\x00\\x33\\x00\\x00\\x00\\x00", # $
        "\x25": "\\x20\\x00\\x00\\x22\\x00\\x00\\x00\\x00", # %
        "\x26": "\\x40\\x00\\x00\\x06\\x00\\x00\\x00\\x00", # &
        "\x27": "\\x20\\x00\\x00\\x1e\\x00\\x00\\x00\\x00", # '
        "\x28": "\\x20\\x00\\x00\\x25\\x00\\x00\\x00\\x00", # (
        "\x29": "\\x20\\x00\\x00\\x26\\x00\\x00\\x00\\x00", # )
        "\x2a": "\\x40\\x00\\x00\\x38\\x00\\x00\\x00\\x00", # *
        "\x2b": "\\x20\\x00\\x00\\x20\\x00\\x00\\x00\\x00", # +
        "\x2c": "\\x00\\x00\\x00\\x36\\x00\\x00\\x00\\x00", # ,
        "\x2d": "\\x00\\x00\\x00\\x38\\x00\\x00\\x00\\x00", # -
        "\x2e": "\\x00\\x00\\x00\\x37\\x00\\x00\\x00\\x00", # .
        "\x2f": "\\x20\\x00\\x00\\x23\\x00\\x00\\x00\\x00", # /
        # Numbers
        "\x30": "\\x00\\x00\\x00\\x35\\x00\\x00\\x00\\x00", # 0
        "\x31": "\\x00\\x00\\x00\\x1e\\x00\\x00\\x00\\x00", # 1
        "\x32": "\\x00\\x00\\x00\\x1f\\x00\\x00\\x00\\x00", # 2
        "\x33": "\\x00\\x00\\x00\\x20\\x00\\x00\\x00\\x00", # 3
        "\x34": "\\x00\\x00\\x00\\x21\\x00\\x00\\x00\\x00", # 4
        "\x35": "\\x00\\x00\\x00\\x22\\x00\\x00\\x00\\x00", # 5
        "\x36": "\\x00\\x00\\x00\\x23\\x00\\x00\\x00\\x00", # 6
        "\x37": "\\x00\\x00\\x00\\x24\\x00\\x00\\x00\\x00", # 7
        "\x38": "\\x00\\x00\\x00\\x25\\x00\\x00\\x00\\x00", # 8
        "\x39": "\\x00\\x00\\x00\\x26\\x00\\x00\\x00\\x00", # 9
        # Symbols
        "\x3a": "\\x20\\x00\\x00\\x37\\x00\\x00\\x00\\x00", # :
        "\x3b": "\\x40\\x00\\x00\\x36\\x00\\x00\\x00\\x00", # ;
        "\x3c": "\\x40\\x00\\x00\\x10\\x00\\x00\\x00\\x00", # <
        "\x3d": "\\x20\\x00\\x00\\x24\\x00\\x00\\x00\\x00", # =
        "\x3e": "\\x40\\x00\\x00\\x37\\x00\\x00\\x00\\x00", # >
        "\x3f": "\\x20\\x00\\x00\\x36\\x00\\x00\\x00\\x00", # ?
        "\x40": "\\x40\\x00\\x00\\x19\\x00\\x00\\x00\\x00", # @
        # Uppercase
        "\x41": "\\x20\\x00\\x00\\x04\\x00\\x00\\x00\\x00", # A
        "\x42": "\\x20\\x00\\x00\\x05\\x00\\x00\\x00\\x00", # B
        "\x43": "\\x20\\x00\\x00\\x06\\x00\\x00\\x00\\x00", # C
        "\x44": "\\x20\\x00\\x00\\x07\\x00\\x00\\x00\\x00", # D
        "\x45": "\\x20\\x00\\x00\\x08\\x00\\x00\\x00\\x00", # E
        "\x46": "\\x20\\x00\\x00\\x09\\x00\\x00\\x00\\x00", # F
        "\x47": "\\x20\\x00\\x00\\x0a\\x00\\x00\\x00\\x00", # G
        "\x48": "\\x20\\x00\\x00\\x0b\\x00\\x00\\x00\\x00", # H
        "\x49": "\\x20\\x00\\x00\\x0c\\x00\\x00\\x00\\x00", # I
        "\x4a": "\\x20\\x00\\x00\\x0d\\x00\\x00\\x00\\x00", # J
        "\x4b": "\\x20\\x00\\x00\\x0e\\x00\\x00\\x00\\x00", # K
        "\x4c": "\\x20\\x00\\x00\\x0f\\x00\\x00\\x00\\x00", # L
        "\x4d": "\\x20\\x00\\x00\\x10\\x00\\x00\\x00\\x00", # M
        "\x4e": "\\x20\\x00\\x00\\x11\\x00\\x00\\x00\\x00", # N
        "\x4f": "\\x20\\x00\\x00\\x12\\x00\\x00\\x00\\x00", # O
        "\x50": "\\x20\\x00\\x00\\x13\\x00\\x00\\x00\\x00", # P
        "\x51": "\\x20\\x00\\x00\\x14\\x00\\x00\\x00\\x00", # Q
        "\x52": "\\x20\\x00\\x00\\x15\\x00\\x00\\x00\\x00", # R
        "\x53": "\\x20\\x00\\x00\\x16\\x00\\x00\\x00\\x00", # S
        "\x54": "\\x20\\x00\\x00\\x17\\x00\\x00\\x00\\x00", # T
        "\x55": "\\x20\\x00\\x00\\x18\\x00\\x00\\x00\\x00", # U
        "\x56": "\\x20\\x00\\x00\\x19\\x00\\x00\\x00\\x00", # V
        "\x57": "\\x20\\x00\\x00\\x1a\\x00\\x00\\x00\\x00", # W
        "\x58": "\\x20\\x00\\x00\\x1b\\x00\\x00\\x00\\x00", # X
        "\x59": "\\x20\\x00\\x00\\x1d\\x00\\x00\\x00\\x00", # Y
        "\x5a": "\\x20\\x00\\x00\\x1c\\x00\\x00\\x00\\x00", # Z
        # Symbols
        "\x5b": "\\x40\\x00\\x00\\x09\\x00\\x00\\x00\\x00", # [
        "\x5c": "\\x40\\x00\\x00\\x14\\x00\\x00\\x00\\x00", # \
        "\x5d": "\\x40\\x00\\x00\\x0a\\x00\\x00\\x00\\x00", # ]
        "\x5e": "\\x40\\x00\\x00\\x20\\x00\\x00\\x00\\x00", # ^
        "\x5f": "\\x20\\x00\\x00\\x38\\x00\\x00\\x00\\x00", # _
        "\x60": "\\x40\\x00\\x00\\x24\\x00\\x00\\x00\\x00", # `
        # Lowercase
        "\x61": "\\x00\\x00\\x00\\x04\\x00\\x00\\x00\\x00", # a
        "\x62": "\\x00\\x00\\x00\\x05\\x00\\x00\\x00\\x00", # b
        "\x63": "\\x00\\x00\\x00\\x06\\x00\\x00\\x00\\x00", # c
        "\x64": "\\x00\\x00\\x00\\x07\\x00\\x00\\x00\\x00", # d
        "\x65": "\\x00\\x00\\x00\\x08\\x00\\x00\\x00\\x00", # e
        "\x66": "\\x00\\x00\\x00\\x09\\x00\\x00\\x00\\x00", # f
        "\x67": "\\x00\\x00\\x00\\x0a\\x00\\x00\\x00\\x00", # g
        "\x68": "\\x00\\x00\\x00\\x0b\\x00\\x00\\x00\\x00", # h
        "\x69": "\\x00\\x00\\x00\\x0c\\x00\\x00\\x00\\x00", # i
        "\x6a": "\\x00\\x00\\x00\\x0d\\x00\\x00\\x00\\x00", # j
        "\x6b": "\\x00\\x00\\x00\\x0e\\x00\\x00\\x00\\x00", # k
        "\x6c": "\\x00\\x00\\x00\\x0f\\x00\\x00\\x00\\x00", # l
        "\x6d": "\\x00\\x00\\x00\\x10\\x00\\x00\\x00\\x00", # m
        "\x6e": "\\x00\\x00\\x00\\x11\\x00\\x00\\x00\\x00", # n
        "\x6f": "\\x00\\x00\\x00\\x12\\x00\\x00\\x00\\x00", # o
        "\x70": "\\x00\\x00\\x00\\x13\\x00\\x00\\x00\\x00", # p
        "\x71": "\\x00\\x00\\x00\\x14\\x00\\x00\\x00\\x00", # q
        "\x72": "\\x00\\x00\\x00\\x15\\x00\\x00\\x00\\x00", # r
        "\x73": "\\x00\\x00\\x00\\x16\\x00\\x00\\x00\\x00", # s
        "\x74": "\\x00\\x00\\x00\\x17\\x00\\x00\\x00\\x00", # t
        "\x75": "\\x00\\x00\\x00\\x18\\x00\\x00\\x00\\x00", # u
        "\x76": "\\x00\\x00\\x00\\x19\\x00\\x00\\x00\\x00", # v
        "\x77": "\\x00\\x00\\x00\\x1a\\x00\\x00\\x00\\x00", # w
        "\x78": "\\x00\\x00\\x00\\x1b\\x00\\x00\\x00\\x00", # x
        "\x79": "\\x00\\x00\\x00\\x1d\\x00\\x00\\x00\\x00", # y
        "\x7a": "\\x00\\x00\\x00\\x1c\\x00\\x00\\x00\\x00", # z
        #Shift chars
        "\x7b": "\\x40\\x00\\x00\\x05\\x00\\x00\\x00\\x00", # {
        "\x7c": "\\x40\\x00\\x00\\x1a\\x00\\x00\\x00\\x00", # |
        "\x7d": "\\x40\\x00\\x00\\x11\\x00\\x00\\x00\\x00", # }
        "\x7e": "\\x40\\x00\\x00\\x1e\\x00\\x00\\x00\\x00", # ~
        #SDLK_RETURN,0x28
        #"\x0a": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00",
        #"\x0d": "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00"
   }
}


# I found no way to do this natively in python, converts ASCII hex codes to ISO/IEC 8859-5
iso_ru = {
    "\x20": "\x20",
    "\x2C": "\x3B",
    "\x2D": "\x2D",
    "\x2E": "\x3A",
    "\x2F": "\x3F",
    "\x30": "\x30",
    "\x31": "\x31",
    "\x32": "\x32",
    "\x33": "\x33",
    "\x34": "\x34",
    "\x35": "\x35",
    "\x36": "\x36",
    "\x37": "\x37",
    "\x38": "\x38",
    "\x39": "\x39",
    "\x3A": "\xEC",
    #"\x3B": "", # ;
    "\x3D": "\xCA",
    "\x41": "\xB0",
    "\x42": "\xB1",
    "\x43": "\xC6",
    "\x44": "\xB4",
    "\x45": "\xB5",
    #"\x46": "\x", # F
    "\x47": "\xB3",
    #"\x48": "\x", # H
    "\x49": "\xC3",
    "\x4A": "\xB9",
    "\x4B": "\xBA",
    "\x4C": "\xBB",
    "\x4D": "\xBC",
    "\x4E": "\xBD",
    "\x4F": "\xB8",
    "\x50": "\xBE",
    "\x51": "\xCF",
    "\x52": "\xC0",
    "\x53": "\xC1",
    "\x54": "\xB3",
    "\x55": "\xCB",
    "\x56": "\xC8",
    "\x58": "\xC5",
    "\x59": "\xC2",
    "\x5A": "\xB7",
    #"\x5B": "" # [
    "\x5C": "\x7E",
    "\x61": "\xD0",
    "\x62": "\xD1",
    "\x63": "\xE6",
    "\x64": "\xD4",
    "\x65": "\xD5",
    #"\x66": "" #f
    "\x67": "\xD3",
    #"\x68": "" #h
    "\x69": "\xE8",
    "\x6A": "\xD9",
    "\x6B": "\xDA",
    "\x6C": "\xDB",
    "\x6D": "\xDC",
    "\x6E": "\xDD",
    "\x6F": "\xD8",
    "\x70": "\xDE",
    "\x71": "\xEF",
    "\x72": "\xE0",
    "\x73": "\xE1",
    #"\x74": "" #t
    "\x75": "\xEB",
    "\x76": "\xD2",
    "\x77": "\xE8",
    "\x78": "\xE5",
    "\x79": "\xE2",
    "\x7A": "\xD7",
    "\x7B": "\xE9",
    #"\x7C": # |
    "\x7D": "\xEE",
    "\x7E": "\xF1"
    #"\x7F": "" #del
}

def findinlist(byte, locale):
    #if dicts[locale][byte] : print "#crap, couldn't find ["+byte +"]. Perhaps try adding it to the list."
    #else :
    if byte == '\n':
        print('''echo enter | hid-keyboard /dev/hidg0 keyboard''')
    else:
        print(('''echo -ne "''' +dicts[locale][byte]+ '''" > /dev/hidg0'''))
        print('''echo -ne "\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00" > /dev/hidg0''')

def wincmd(locale):
    print('''sleep 1''')
    print('''echo -ne "\\x08\\x00\\x00\\x00\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''echo -ne "\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''sleep 1''')
    findinlist(str.encode("\x63"), locale) #c
    print('''sleep 1''')
    findinlist(str.encode("\x6d"), locale) #m
    print('''sleep 1''')
    findinlist(str.encode("\x64"), locale) #d
    print('''sleep 1''')
    print('''echo -ne "\\x10\\x00\\x00\\x00\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''echo -ne "\\x20\\x00\\x00\\x00\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''sleep 1''')
    print('''echo -ne "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''echo -ne "\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''sleep 3''')

def win7cmd_elevated(locale):
    print('''sleep 1''')
    print('''echo -ne "\\x08\\x00\\x00\\x00\\x00\\x00\\x00\\x00" > /dev/hidg0''') #windows key
    print('''echo -ne "\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''sleep 1''')
    findinlist("\x63", locale) #c
    print('''sleep 0.5''')
    findinlist("\x6d", locale) #m
    print('''sleep 0.5''')
    findinlist("\x64", locale) #d
    print('''sleep 3''')
    print('''echo left-ctrl left-shift return | hid-keyboard /dev/hidg0 keyboard''')
    print('''sleep 2''')
    print('''echo left | hid-keyboard /dev/hidg0 keyboard''')
    print('''sleep 0.5''')
    print('''echo enter | hid-keyboard /dev/hidg0 keyboard''')
    print('''sleep 3''')

def win8cmd_elevated(locale):
    print('''sleep 1''')
    print('''echo -ne "\\x08\\x00\\x00\\x00\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''echo -ne "\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''sleep 1''')
    findinlist("\x63", locale) #c
    print('''sleep 0.5''')
    findinlist("\x6d", locale) #m
    print('''sleep 0.5''')
    findinlist("\x64", locale) #d
    print('''sleep 3''')
    print('''echo -ne "\\x10\\x00\\x00\\x00\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''echo -ne "\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''sleep 1''')
    print('''echo -ne "\\x02\\x00\\x00\\x43\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''echo -ne "\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''sleep 1''')
    print('''echo -ne "\\x01\\x00\\x00\\x51\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''echo -ne "\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''sleep 1''')
    print('''echo -ne "\\x01\\x00\\x00\\x51\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''echo -ne "\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''sleep 1''')
    print('''echo -ne "\\x01\\x00\\x00\\x51\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''echo -ne "\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''sleep 1''')
    print('''echo -ne "\\x01\\x00\\x00\\x51\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''echo -ne "\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''sleep 2''')
    print('''echo -ne "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''echo -ne "\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''sleep 2''')
    print('''echo left | hid-keyboard /dev/hidg0 keyboard''')
    print('''sleep 0.5''')
    print('''echo enter | hid-keyboard /dev/hidg0 keyboard''')
    print('''sleep 3''')

def win10cmd_elevated(locale):
    print('''sleep 1''')
    print('''echo -ne "\\x08\\x00\\x00\\x00\\x00\\x00\\x00\\x00" > /dev/hidg0''') # Wincmd Key
    print('''echo -ne "\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''sleep 1''')
    findinlist("\x63", locale) #c
    print('''sleep 0.5''')
    findinlist("\x6d", locale) #m
    print('''sleep 0.5''')
    findinlist("\x64", locale) #d
    print('''sleep 3''')
    print('''echo -ne "\\x02\\x00\\x00\\x43\\x00\\x00\\x00\\x00" > /dev/hidg0''') # Menu key
    print('''echo -ne "\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''sleep 1''')
    print('''echo down | hid-keyboard /dev/hidg0 keyboard''')
    print('''sleep 1''')
    print('''echo enter | hid-keyboard /dev/hidg0 keyboard''')
    print('''sleep 2''')
    print('''echo left | hid-keyboard /dev/hidg0 keyboard''')
    print('''sleep 0.5''')
    print('''echo enter | hid-keyboard /dev/hidg0 keyboard''')
    print('''sleep 3''')


def enterb():
    print('''sleep 2''')
    print('''echo -ne "\\x00\\x00\\x00\\x28\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''echo -ne "\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00" > /dev/hidg0''')
    print('''sleep 2''')

#Unit tests
#def main():
#    win7cmd_elevated("fr")

#if __name__ == "__main__":
#    main()
